Auto-Fenster

In diesem Fenster werden die Werte der Variablen angezeigt, die sich im Bereich der aktuellen Ausführungszeile in der aktuellen Prozedur befinden. Das Auto-Fenster wird nur aktualisiert, wenn die Ausführung unterbrochen wurde. So wird das Auto-Fenster aktualisiert, wenn Sie eine neue Überwachung hinzufügen, wenn Sie den Wert einer Variablen ändern, oder wenn Sie zwischen Dezimal- und Hexadezimal-Modus umschalten. Die Werte, die sich seit der letzten Unterbrechung geändert haben, werden hervorgehoben.

Folgende Möglichkeiten stehen zur Verfügung:

  • Navigieren zu einem anderen Stackrahmen.

  • Ziehen einer ausgewählten Variablen in das Direktfenster oder das Überwachungsfenster.

  • Doppelklicken auf eine Variable, um deren Wert zu bearbeiten.

  • Klicken auf einen Wert und diesen bearbeiten.

  • Anzeigen und Ausblenden der Listen.

    Anmerkung Sie können die Breite der Spalten ändern, indem Sie den Spaltenrand in der Spaltenüberschrift nach rechts ziehen, um die Spalte zu vergrößern, oder nach links ziehen, um sie zu verkleinern.

Elemente

Name

Zeigt den Namen jeder Variablen bei der aktuellen Anweisung an.

Wert

Zeigt die Werte der Variablen an.

Typ

Zeigt den Typ jeder Variablen an.


Aufrufliste-Fenster

In diesem Fenster wird eine Liste aller aktiven Prozeduren oder Stackrahmen für den aktuellen Ausführungs-Thread angezeigt. Aktive Prozeduren sind die nicht abgeschlossenen Prozeduren in einem Prozess.

Im Aufrufliste-Fenster stehen folgende Möglichkeiten zur Verfügung:

  • Ändern des aktiven Threads durch Auswahl aus der Liste der Threads.

  • Ändern der Breite der Spaltenüberschriften durch Ziehen des Spaltenrands in der Spaltenüberschrift nach rechts, um die Breite zu vergrößern, oder nach links, um sie zu verkleinern.

  • Doppelklicken auf eine Zeile, damit der Inhalt des Lokal-Fensters mit der aktuellen Prozedur korrespondiert.

    Anmerkung Sie können die Breite der Spalten ändern, indem Sie den Spaltenrand in der Spaltenüberschrift nach rechts oder nach links ziehen.

Elemente

Liste der Threads

Enthält eine Liste aller Threads im aktuellen Prozess. Durch Auswahl eines Threads aus der Liste erhält dieser Thread den Fokus in der integrierten Entwicklungsumgebung (IDE). Die Liste der Threads ist die gleiche Liste, die auch im Threads-Fenster angezeigt wird.

Name

Zeigt die Namen der einzelnen Stackrahmen zusammen mit den zugeordneten Argumentwerten an.

Sprache

Gibt die Sprache des jeweiligen Stackrahmens an.

Kennzeichen

Zeigt ein

-Zeichen

an, das auf die aktuelle Prozedur hinweist und den Bereich für das Lokal-Fenster, das Überwachungsfenster, das Direktfenster und das Quellcode-Fenster bestimmt.


Dokumentgliederungsfenster

Ein Fenster mit einer flachen oder hierarchischen Gliederung für das aktuell gewählte Dokumentfenster. Der Titel des Fensters ändert sich und weist so darauf hin, dass der Editor geöffnet ist. So werden z.B. in einem Skripteditor im Skriptgliederungsfenster das Skriptsprachen-Objektmodell und die Skriptblöcke für die zugehörige HTML-Seite angezeigt.

Im Dokumentgliederungsfenster können Sie auch die Inhalte anderer Editorfenster einsehen – zusammen mit deren Dokumentgliederungsfenster – die zur Zeit nicht den Fokus haben.

Wenn Sie ein anderes Dokumentfenster öffnen, dem ein Gliederungsfenster zugeordnet ist, ändert sich der Inhalt des Dokumentgliederungsfensters so, dass der Inhalt des neuen Fensters angezeigt wird.

Das Dokumentgliederungsfenster ist verankerbar. Das Fenster wird angezeigt, nachdem Sie aus dem Untermenü Andere Fenster des Menüs Ansichtdie Option Dokumentgliederung gewählt haben.

Weitere Informationen zu spezifischen Dokumentgliederungsfenstern erhalten Sie, wenn Sie auf Siehe auch klicken.


Suchfenster

In diesem Fenster können Sie in einer oder in mehreren Dateien nach bestimmten Textstellen suchen und diese bei Bedarf durch einen anderen Text ersetzen.

Folgende Möglichkeiten stehen zur Verfügung:

  • Erweitern der Suchfunktionen und –möglichkeiten durch die Verwendung von regulären Ausdrücken.

  • Verankern des Suchfensters, um den benötigten Platz zu minimieren.

Optionen

Symbolleiste

Schaltfläche | Bezeichnung | Beschreibung
 | Neue Suche | Löscht die Inhalte in den Feldern Suchen und Ersetzen und setzt alle Optionen zurück, so dass Sie eine neue Suchanfrage erstellen können.
 | Groß-/Kleinschreibung beachten | Führt die Suche unter genauer Beachtung der Groß- und Kleinschreibung im Feld Suchen durch.
 | Ganzes Wort | Sucht nur nach ganzen Wörtern.
 | Regulärer Ausdruck | Aktiviert den Modus für reguläre Ausdrücke, so dass Sonderzeichen verwendet werden können.
 | Rückwärts | Führt die Suche in umgekehrter Richtung durch.
 | Suche anhalten | Bricht einen aktiven Suchvorgang ab. Diese Schaltfläche ist abgeblendet und deaktiviert, wenn kein Suchvorgang aktiv ist.
 | Hilfe | Zeigt weitere Informationen zum Suchfenster an.

Schaltfläche "Suchen"

Sucht und markiert jedes Vorkommen des Wortes oder der Wörter im Feld Suchen. Klicken Sie auf diese Schaltfläche, um den Suchvorgang zu beginnen, und klicken Sie erneut, um nach dem nächsten Vorkommen des Wortes oder der Wörter zu suchen. Entsprechend der Einstellungen im Feld Suchen in dient die Schaltfläche Suchen zum Suchen in einer Datei oder in mehreren Dateien.

Feld "Suchen"

Dient für die Eingabe des zu suchenden Textes. Wenn Sie nach Sonderzeichen suchen möchten, klicken Sie zunächst auf die Schaltfäche Regulärer Ausdruck. Wenn sich die Einfügemarke im Suchfenster befindet, können Sie durch Drücken der Tastenkombination STRG+F direkt zu diesem Feld gelangen.

Schaltfläche "Ersetzen"

Ersetzt den aktuellen Text durch den Text im Feld Ersetzen und markiert das nächste Vorkommen des Textes.

Feld "Ersetzen"

Ermöglicht die Eingabe oder Auswahl des Textes, der statt des urspünglichen Textes eingesetzt werden soll. In diesem Feld werden die letzten 16 Einträge gespeichert. Wenn sich die Einfügemarke im Suchfenster befindet, können Sie durch Drücken der Tastenkombination STRG+H direkt zu diesem Feld gelangen.

Schaltfläche "Alle ersetzen"

Ersetzt alle Vorkommen des zu suchenden Textes durch den Ersetzungstext, ohne dass bei jedem Vorkommen eine Bestätigung erfolgen muss.

Suchen in

Ermöglicht die Auswahl aus einer Reihe festgelegter Suchbereiche oder die Definition einer benutzerangepassten Suche.

Alle offenen Dokumente

Durchsucht alle geöffneten Dokumente, so als handelte es sich dabei um ein einziges Dokument.

Aktuelles Dokument

Durchsucht nur das momentan aktive Dokument.

Aktuelle Auswahl

Durchsucht den markierten Teil im momentan aktiven Dokument.

Abhängig von der jeweiligen Entwicklungsumgebung können weitere Optionen zur Verfügung stehen.

Durchsuchen

Zeigt das Dialogfeld Suchen in an, aus dem Sie die Ordner und Dateitypen auswählen können, die in die Suche eingeschlossen werden sollen.

Unterordner

Wenn dieses Kontrollkästchen aktiviert ist, werden Unterordner in die Suche eingeschlossen.

Listen "Name", "Ordner", "Zeilennummer" und "Text"

Zeigt die Ergebnisse des Suchvorgangs an, wenn die Suche sich über mehrere Dateien erstreckte. Folgende Suchergebnisse werden angezeigt: Dateiname, Dateiposition (Pfad), Zeilennummer, in der sich der Text befindet, sowie die entsprechende Textstelle, einschließlich des gesuchten Textes.


Direktfenster

In diesem Fenster werden Ausdrücke eingegeben, die ausgewertet oder von einer Entwicklungssprache ausgeführt werden sollen. Die Regeln für die Eingabe von Ausdrücken sowie die Arbeitsweise des Direktfensters sind von der Sprache der aktuellen Anweisung abhängig.


Lokal-Fenster

In diesem Fenster werden die lokalen Variablen und deren Werte im aktuellen Stackrahmen angezeigt. Mit dem Wechsel der Ausführung von Prozedur zu Prozedur ändert sich auch der Inhalt des Lokal-Fensters und zeigt jeweils die lokalen Variablen an, die für die aktuelle Prozedur gültig sind.

Das Lokal-Fenster wird nur aktualisiert, wenn die Ausführung unterbrochen wird. Die Werte, die sich seit der letzten Unterbrechung geändert haben, werden hervorgehoben.

Im Lokal-Fenster stehen folgende Möglichkeiten zur Verfügung:

  • Ändern des aktuellen Stackrahmen im aktiven Thread durch Auswählen aus der Kontextliste.

  • Ziehen einer ausgewählten Variablen in das Direktfenster oder das Überwachungsfenster.

  • Doppelklicken auf eine Variable, um deren Wert zu bearbeiten.

  • Klicken auf das Plus- oder Minuszeichen, um die Member-Variablen einer Objekt-Variablen oder eines Array anzuzeigen oder auszublenden. Sie können auch mit Hilfe folgender Tastenkombinationen die Member-Variablen des markierten Objekts oder Arrays anzeigen oder ausblenden und sich damit im Lokal-Fenster bewegen:
Aktion: | Taste(nkombination):
Ausblenden der Liste der Member-Variablen | Pfeiltaste NACH LINKS
Anzeigen der Member-Variablen | Pfeiltaste NACH LINKS
Umschalten zwischen Anzeigen und Ausblenden der Variablen | EINGABETASTE
Bewegung nach oben in der Liste der Member-Variablen | Pfeiltaste NACH OBEN
Bewegung nach unten in der Liste der Member-Variablen | Pfeiltaste NACH UNTEN
Verschieben einer erweiterten Liste nach oben | Pfeiltaste NACH LINKS
Verschieben einer erweiterten Liste nach unten | Pfeiltaste NACH LINKS

Anmerkung Sie können die Breite der Spalten ändern, indem Sie den Spaltenrand in der Spaltenüberschrift nach rechts oder nach links ziehen.

Elemente

Kontextliste

Enthält die Aufrufliste für den aktiven Thread. Die Prozeduren werden in der Reihenfolge aufgelistet, in der sie in der Aufrufliste angezeigt werden.

Name

Eine Liste der lokalen Variablen in dem aktuellen Stackrahmen.

Wert

Eine Liste der Werte aller lokalen Variablen.

Typ

Eine Liste der Datentypen aller lokalen Variablen.


Ausgabefenster

In diesem Fenster werden zur Laufzeit Statusmeldungen angezeigt. Sie können das Ausgabefenster anzeigen, indem Sie im Menü Anzeige aus der Liste Andere Fenster den Befehl Ausgabefenster wählen.

Bei einigen Sprachmodulen wird dieses Fenster auch genutzt, um im Code erzeugte Debug-Strings anzuzeigen. Die genaue Arbeitsweise des Ausgabefensters ist abhängig von dem jeweils verwendeten Sprachmodul, mit dem der aktuelle Code ausgeführt wird.

Elemente

Liste der Ausgabebereiche

Eine Liste der anzuzeigenden Ausgabebereiche. Es ist eine beliebige Anzahl von Bereichen möglich. Die Bereiche werden zur Laufzeit nicht dynamisch erzeugt, können jedoch von jedem Benutzer registriert werden. Der neue Bereich wird in der Liste erst angezeigt, nachdem er das erste Mal genutzt wurde.

Ausgabebereich

Zeigt die Statusmeldungen für die Auswahl in der Liste der Ausgabebereiche an.


Projekt-Explorer-Fenster

In diesem Fenster wird eine Liste der gesamten Sammlung von Projekten und aller Elemente angezeigt, die in den einzelnen Projekten enthalten sind.

Folgende Möglichkeiten stehen zur Verfügung:

  • Aktivieren eines Projekts durch Auswählen.

  • Sie können mehrere Projekte oder Projektelemente auswählen, wie in der folgenden Tabelle gezeigt:
    Aktion | Auswahl
    Klicken auf das erste Element, Drücken und Halten der UMSCHALTTASTE und Klicken auf das letzte gewünschte Element in der Liste. | Mehrere Projekte oder Projektelemente, die in einer Liste aufeinander folgen.
    Klicken auf das erste Element, Drücken und Halten der UMSCHALTTASTE und Verwenden der Pfeiltasten NACH OBEN oder NACH UNTEN, um die gewünschten Elemente zu wählen. | Mehrere Projekte oder Projektelemente, die in einer Liste aufeinander folgen.
    Drücken und Halten der STRG-Taste und klicken auf die gewünschten Elemente. | Mehrere Projekte oder Projektelemente, die nicht in einer Liste aufeinander folgen.

  • Sie können die Projektlisten erweitern und ausblenden und die darin enthaltenen Projekte und Elemente anzeigen, indem Sie auf das Plus- oder Minuszeichen links des Projektnamens klicken.


Eigenschaftenfenster

In diesem Fenster werden die Eigenschaften zur Entwurfszeit ausgewählter Elemente sowie deren aktuelle Einstellungen angezeigt. Sie können diese Eigenschaften zur Entwurfszeit ändern.

Elemente

Listet das aktuell gewählte Objekt auf. Es werden nur Objekte aus dem aktiven Dokument angezeigt. Wenn Sie mehrere Objekte auswählen, werden deren gemeinsame Eigenschaften sowie deren Einstellungen, basierend auf dem ersten gewählten Objekt, auf den Schaltflächen der Eigenschaftenliste angezeigt.

Listet in alphabetischer Reihenfolge alle Eigenschaften für das gewählte Objekt auf, die zur Entwurfszeit geändert werden können, sowie deren aktuelle Einstellungen. Sie können die Einstellungen der Eigenschaften ändern, indem Sie den Namen der Eigenschaft wählen und dann die neue Einstellung eingeben oder wählen.

Listet alle Eigenschaften für das gewählte Objekt nach Kategorie auf. So gehören die Eigenschaften BackColor (Hintergrundfarbe), Caption (Beschriftung) und ForeColor (Vordergrundfarbe) in die Kategorie Appearance (Darstellung). Sie können die Liste ausblenden, so dass die Kategorien angezeigt werden, oder Sie können eine Kategorie einblenden, um deren Eigenschaften anzuzeigen. Wenn Sie die Liste ein- oder ausblenden, wird links des Kategorienamens ein Pluszeichen (+) oder ein Minuszeichen (-) angezeigt.

Zeigt das Dialogfeld Eigenschaftenseiten an.

Teilbereich Beschreibung

Zeigt die Art der Eigenschaft sowie eine kurze Beschreibung der Eigenschaft an. Sie können die Beschreibung der Eigenschaft aus- und einblenden, indem Sie im Kontextmenü auf Beschreibung klicken. Mit Hilfe der Pfeiltasten können Sie sich in der Liste der Beschreibungen bewegen.


Fenster für laufende Dokumente

In diesem Fenster wird eine Liste der Dokumente angezeigt, die zur Zeit in den Prozess geladen sind, der ausgeführt wird. Wenn Sie beispielsweise ein HTML-Frameset hinzufügen, zeigt das Fenster für laufende Dokumente an, welche Seiten zur Zeit in den Browser geladen sind.

Im Fenster für laufende Dokumente stehen folgende Möglichkeiten zur Verfügung:

  • Doppelklicken auf ein Dokument, um ein Editorfenster für dieses Dokument zu öffnen.

  • Anzeigen und Ausblenden der Liste, um die Seiten oder die Dokumente mit den Dokumenten der obersten Ebene zu sehen.

Elemente

Liste der Dokumente

Eine hierarchische Liste aller Dokumente und deren Pfade.


Skriptgliederungsfenster

Im Fenster Skriptgliederung werden das verfügbare Objektmodell für das Dokument sowie die Skripts auf der Seite angezeigt, wenn Sie sich in der Quelltextansicht des HTML-Editors befinden. Im Fenster Skriptgliederung haben Sie folgende Möglichkeiten:

  • Anzeige einer Strukturansicht aller Elemente auf der Seite, für die ID- oder NAME-Attribute definiert sind.

  • Anzeige von Ereignissen für jedes Element.

  • Schnelles Navigieren zu einem beliebigen Skript auf der Seite.

  • Schnelle Erstellung neuer Behandlungsroutinen für Ereignisse auf der Seite.

Das Fenster Skriptgliederung steht in der Quelltextansicht des HTML-Editors zur Verfügung. In der Strukturansicht werden anfangs die in der folgenden Tabelle aufgelisteten Knoten angezeigt.

Knoten | Inhalt
Client-Objekte und
-Ereignisse 		Eine Hierarchie von Elementen, die Client-Skripts unterstützen oder an die Client-Skripts angehängt sind. Unter dem Knoten für jedes Element befindet sich eine Liste von Ereignissen, für die Sie Behandlungsroutinen schreiben können.
Client-Skripts Ein Knotenpaar für jedes Client-Skript auf der Seite: Ein Knoten für jeden Skript-Block auf der Seite und ein weiterer Knoten für alle Funktionen oder Unterroutinen, die innerhalb eines Skript-Blocks definiert sind.

Es gibt auch einen Knoten für Inline-Skripts, die als Teil einer Steuerelement-Beschreibung definiert werden. Beispiel:

<INPUT TYPE="button"
NAME="button1"
ONCLICK="alert('Clicked!')">
Server-Objekte und –Ereignisse Eine Liste mit Knoten für jedes Element, das Server-Skripts unterstützt oder an das Server-Skripts angehängt sind. Unter jedem Knoten befindet sich eine Liste mit Ereignissen, für die Sie Behandlungsroutinen schreiben können.

Im Knoten Server-Objekt und -Ereignisse wird auch das Objektmodell von Microsoft Internet Information Server angezeigt, einschließlich des Sitzungsobjekts, Anwendungsobjekts usw. Im Fenster Skriptgliederung zeigen diese Objekte keine Ereignisse an.
Server-Skripts | Ein Knotenpaar für jedes Server-Skript auf der Seite. Funktionen und Unterroutinen werden nach ihrem Namen identifiziert. Inline-Server-Skripts werden zwar in der Struktur angezeigt, aber nicht nach ihrem Namen identifiziert.

Hinweis Das Fenster Skriptgliederung enthält keine Elemente, die zu einer Seite mit Hilfe einer INCLUDE-Datei hinzugefügt wurden.

Skriptnavigation

Mit dem Fenster Skriptgliederung können Sie zwischen Skripts wechseln.

So navigieren Sie zwischen Skripts

  • Erweitern Sie im Fenster Skriptgliederung den entsprechenden Skript-Knoten, bis das anzuzeigende Skript sichtbar wird, und klicken Sie anschließend auf den Namen des Skripts. Die Einfügemarke im Bearbeitungsfenster wird im Skript platziert.

Wenn Sie in einem Skript im Bearbeitungsfenster arbeiten, haben Sie die Möglichkeit, das Fenster Skriptgliederung zu synchronisieren, damit Sie sehen können, wo Sie sich im Kontext der ganzen Seite befinden.

So synchronisieren Sie Ihre Position innerhalb des Fensters "Skriptgliederung".

  • Klicken Sie mit der rechten Maustaste an einer beliebigen Stelle innerhalb des Fensters Skriptgliederung, und wählen Sie anschließend den Befehl Skriptgliederung synchronisieren.

Erstellen von Skripts

Wenn Sie den Knoten für ein Objekt im Fenster Skriptgliederung erweitern, wird eine Liste der Ereignisse angezeigt, für die Sie eine Behandlungsroutine erstellen können. Wird der Ereignisname in Fettschrift angezeigt, dann ist bereits eine Behandlungsroutine für dieses Ereignis vorhanden.

Für Ereignisse im Fenster Skriptgliederung können neue Behandlungsroutinen erstellt werden. Außerdem lassen sich neue Skript-Blöcke einfügen, selbst wenn diese nicht mit einem bestimmten Ereignis verknüpft sind.

So erstellen Sie eine neue Ereignis-Behandlungsroutine

  1. Erweitern Sie den entsprechenden Objektknoten, bis der Name des Ereignisses angezeigt wird, für das Sie ein Skript erstellen möchten.

  2. Doppelklicken Sie auf den Ereignisnamen.

    Der Editor fügt einen neuen Skript-Block mit einer Gerüst-Behandlungsroutine für das gewählte Ereignis ein. Die Behandlungsroutine wird in der Standardsprache für den aktuellen Kontext erstellt. Wenn Sie beispielsweise ein Server-Skript erstellen, ist die Behandlungsroutine in der Standardsprache für den Server.

Anordnen von Skripts

Sie können Knoten oder Skripts entweder nach Deklaration oder alphabetisch anordnen.

So ordnen Sie Skript an:

  • Klicken Sie an einer beliebigen Stelle im Fenster Skriptgliederung, wählen Sie Sortieren und anschließend Alphabetisch oder Nach Deklaration.

Sortieren Sie Skripts nach Deklaration, dann verfügt jeder Skript-Block über einen Knoten. Beim Öffnen des Knotens werden die Namen einzelner Prozeduren (Funktionen oder Unterroutinen) und der Public-Variable angezeigt. Die Knoten werden gemäß ihrer Reihenfolge auf der Seite angeordnet.

Sortieren Sie Skript-Knoten alphabetisch, werden die Skripts als individuelle Knoten nach ihrem Namen angezeigt. Skript-Blöcke ohne benannte Prozeduren werden der Sprache nach angezeigt, in der sie geschrieben wurden (z.B. VBScript). Enthält ein Skript-Block nur eine einzige Prozedur, wird der Name der Prozedur angezeigt.


Texteditor-Fenster

Dies ist das Fenster, in dem Sie Code schreiben, anzeigen und bearbeiten. Das Texteditor-Fenster wird auch als Code-Editor-Fenster bezeichnet.

Sie können ein Texteditor-Fenster wie folgt öffnen:

Über das Projekt-Explorer-Fenster, durch Doppelklicken auf die Datei.

  • Über das Menü Datei, indem Sie auf Datei öffnen klicken.

    VORSICHT Wenn Sie Dateien mit anderen Benutzern an anderen Standorten benutzen, die unterschiedliche Codeseiten verwenden, sollten Sie die Datei in Unicode speichern, um Probleme zu vermeiden.

Features im Editor

Textbearbeitung mit Drag-and-Drop

Sie können markierten Text mit der Maus ziehen und an einer anderen Stelle ablegen. Folgende Zielstellen sind möglich:

  • Eine andere Position im aktuellen Texteditor-Fenster.

  • Ein anderes Texteditor-Fenster.

  • Direktfenster und Überwachungsfenster.

Sie können die Textbearbeitung mit Hilfe von Drag-and-Drop aktivieren oder deaktivieren, indem Sie im Dialogfeld Optionen unter Text-Editor, Allgemein die Option Drag/Drop-Textbearbeitung wählen.

Auswahl-Modi

Im Texteditor-Fenster stehen zwei Modi zur Verfügung:

  • Stream-Auswahl. Dieser Modus entspricht dem üblichen Bearbeitungsmodus in Microsoft Windows. Die Auswahl ist ein eindimensionaler Stream vom Anfang der Datei in Richtung Ende.

  • Feldauswahl. In diesem Modus werden nur ganze Zeilen oder "Felder" des Codes ausgewählt. Ein solches Feld umfasst jedes Zeichen, das sich innerhalb des Rechtecks befindet, das vom Anfangsbuchstaben und dem letzten Zeichen in der Markierung begrenzt wird. Sie können zwischen Stream-Modus und Feld-Modus wechseln, indem Sie die STRG-Taste festhalten, und R und dann S drücken.

Sie können den Modus im Dialogfeld Optionen unter Text-Editor, Pro Sprache ändern. Wenn Sie den Modus für alle Editoren ändern möchten, wählen Sie Pro Sprache. Wenn Sie den Modus nur für einen bestimmten Editor ändern möchten, klicken Sie auf das Pluszeichen (+) und wählen Sie den gewünschten Editor aus, bevor Sie die Option ändern.

Modus Virtueller Bereich

Im Modus Virtueller Bereich arbeitet der Texteditor so, als bestünde der Bereich am Ende jeder Zeile aus einer unendlichen Menge von Leerzeichen.

Anmerkung Der Modus Virtueller Bereich ist stets aktiv, wenn Sie im Modus Feldauswahl arbeiten.

Verwenden der Befehle Rückgängig und Wiederherstellen

Der Editor ermöglicht es, eine unbegrenzte Anzahl von Aktionen je Dokument rückgängig zu machen und wiederherzustellen.

Um die Bewegungen der Einfügemarke in die Rückgängig-Liste einzuschließen, wählen Sie die entsprechende Option im Dialogfeld Optionen unter Texteditor, Allgemein.

Anzeigen und Verknüpfen von URLs (Uniform Resource Locators)

Sie können innerhalb des Codes URLs verwenden. Standardmäßig gelten folgende Sachverhalte für URLs:

  • Sie werden unterstrichen angezeigt

  • Die Form des Mauszeigers ändert sich, wenn er über einem URL bewegt wird.

  • Die URL-Site wird geöffnet, falls der URL gültig ist.

Sie können die Art der Anzeige und der Verknüpfung von URLs für alle Editoren ändern, indem Sie im Dialogfeld Optionen unter Text-Editor die Option Pro Sprache wählen. Wenn Sie die Anzeige und die Verknüpfung mit URLs nur für einen bestimmten Editor ändern möchten, klicken Sie auf das Pluszeichen (+) und wählen Sie den gewünschten Editor aus, bevor Sie die Option ändern.

Sie können eine gültige Internet-Site stets öffnen, indem Sie im Kontextmenü im Texteditor auf den Befehl URL öffnen klicken.

Angepasste Schriftarten und Farben

Sie können die Art und Weise anpassen, in der Text im Editor angezeigt wird. Für bestimmte Elemente können Sie folgende Änderungen vornehmen:

  • Ändern der Vordergrund- und Hintergrundfarben

  • Art und Größe der Schriftarten

Zum Ändern der Schriftarten und Farben im Editor wählen Sie im Dialogfeld Optionen unter Text-Editor die Option Schriftart und Farben.

Elemente

Code-Fenster

Dies ist der Bereich, in dem Sie den Code eingeben. Dieser Bereich enthält die Features zum Erstellen von Anweisungen, die für das Produkt zur Verfügung stehen.

Im Dialogfeld Optionen können Sie unter Text-Editor, Allgemein folgende Optionen einstellen:

  • Festlegen und Verwenden einer Klickwartezeit. Durch das Festlegen einer Klickwartezeit ergibt sich die Möglichkeit, den Fokus von einem Fenster auf ein anderes zu setzen, ohne dass die Einfügemarke im Zielfenster bewegt wird, wenn Sie die Maustaste kürzer drücken, als die angegebene Zeit.

  • Bewegen der Einfügemarke an den Anfang oder das Ende der Markierung, basierend auf der Position der Einfügemarke beim Markieren des Textes nach Drücken der ESC-Taste.

  • Platzieren der Einfügemarke am Anfang der Markierung, wenn Sie diese aus der Zwischenablage einfügen.

Über die Einstellungen im Dialogfeld Optionen unter Text-Editor, Tabulatoren können Sie außerdem Größe und Art der Einzüge und Tabulatoren im Code bestimmen. Sie können die Tabulatoreinstellungen für alle Texteditoren in der Entwicklungsumgebung festlegen, oder die Festlegung auf einen spezifischen Editor beschränken.

Kennzeichenleiste

Ein grauer Bereich am linken Rand des Texteditor-Fensters, in dem Kennzeichen für Haltepunkte, Lesezeichen und Verknüpfungen angezeigt werden.

Sie können festlegen, ob die Kennzeichenleiste angezeigt wird, indem Sie die entsprechende Option im Dialogfeld Optionen auf der Registerkarte Texteditor unter Allgemeine Optionen auswählen.

Auswahlrand

Der weiße Bereich unmittelbar links des Codetexts, in dem Sie klicken können, um Textzeilen zu markieren.

Sie können festlegen, ob der Auswahlrand angezeigt wird, indem Sie die entsprechende Option im Dialogfeld Optionen unter Text-Editor, Allgemein auswählen.

Horizontale und Vertikale Bildlaufleisten

Ermöglicht das Verschieben des sichtbaren Bereichs des Code-Fensters in horizontaler und vertikaler Richtung, so dass Sie auch den Code anzeigen können, der sich über die Begrenzungen des Code-Fensters hinaus erstreckt.

Sie können festlegen, ob die horizontale und vertikale Bildlaufleiste angezeigt werden, indem Sie die entsprechende Option im Dialogfeld Optionen unter Text-Editor, Allgemein auswählen.


Thread-Fenster

In diesem Fenster werden alle Threads des aktuellen Prozesses sowie weitere Informationen zu den Threads angezeigt.

Folgende Möglichkeiten stehen im Thread-Fenster zur Verfügung:

  • Auswählen eines neuen Prozesses aus der Liste der Prozesse.

  • Doppelklicken auf einen Thread, um diesen zu aktivieren.

Anmerkung Sie können die Breite der Spaltenüberschrift ändern, indem Sie den Spaltenrand in der Spaltenüberschrift nach rechts oder nach links ziehen.

Elemente

Liste der Prozesse

Diese Liste enthält alle zur Zeit angefügten Prozesse. Nach Auswahl eines Prozesses aus der Liste werden alle Threads für diesen Prozess angezeigt.

ID

Zeigt die System-Thread-ID an.

Name

Enthält die Namen oder Thread-IDs aller Threads im aktuellen Prozess. Der Thread, der zur Zeit den Fokus hat, wird im linken Rand durch

gekennzeichnet.

Status

Zeigt an, welchen Status ein Thread hat: zum Ausführen aktiviert, momentan unterbrochen, beendet und wird nicht länger ausgeführt.

Pfad

Listet den obersten Stackrahmen oder die Prozedur im Thread zusammen mit allen zugeordneten Argumentwerten auf.

Unterbrechungszahl

Listet den Wert für die Unterbrechungszahl auf.

Eine Unterbrechungszahl von 0 bedeutet, dass der Thread ausgeführt wird. Wenn der Wert größer als 0 ist, wird der Thread unterbrochen. Mit Hilfe der Befehle Unterbrechen und Fortfahren im Kontextmenü können Sie die Unterbrechungszahl erhöhen oder verringern.


Überwachungsfenster

In diesem Fenster werden die Werte ausgewählter Variablen oder Überwachungsausdrücke angezeigt.

Das Überwachungsfenster wird nur aktualisiert, wenn die Ausführung an einem Haltepunkt oder bei einer Ausnahme unterbrochen wird. Die Werte, die sich seit der letzten Unterbrechung geändert haben, werden hervorgehoben.

Folgende Möglichkeiten stehen im Überwachungsfenster zur Verfügung:

  • Ziehen einer ausgewählten Variable in das Direktfenster.

  • Doppelklicken auf eine Variable, um deren Wert zu bearbeiten.

    Vorsicht Das Eingeben eines Ausdrucks mit Seiteneffekten im Überwachungsfenster kann zu ungewollten Änderungen im Code führen.

Anmerkung Sie können die Breite der Spalten ändern, indem Sie den Spaltenrand in der Spaltenüberschrift nach rechts oder nach links ziehen.

Elemente

Name

Zeigt eine Liste der Variablen oder Ausdrücke an, die ausgewertet werden sollen.

Wert

Zeigt die Werte der ausgewählten Variablen oder Ausdrücke an.

Typ

Zeigt eine Liste der Datentypen der ausgewählten Variablen oder Ausdrücke an.


ActiveX-Steuerelemente - Registerkarte (Werkzeugsammlung anpassen - Dialogfeld)

Zeigt eine Liste mit allen ActiveX®-Steuerelementen an, die auf Ihrem Computer registriert sind und zur Werkzeugsammlung des Projekts hinzugefügt werden können. Die ActiveX-Steuerelemente, die in der Werkzeugsammlung der Entwicklungsumgebung und der Registrierung vorhanden sind, werden durch ein Häkchen auf der linken Seite gekennzeichnet.

Sie haben folgende Möglichkeiten:

  • Hinzufügen eines registrierten Steuerelements zur Werkzeugsammlung, indem Sie das Steuerelement in der Liste mit den Spaltenüberschriften Name, Pfad und Zuletzt geändert auswählen und auf das Kontrollkästchen links davon klicken.

  • Entfernen eines Steuerelements aus der Werkzeugsammlung, indem Sie das Kontrollkästchen deaktivieren.

  • Gruppieren der Steuerelementliste nach Name, Speicherort oder Änderungsdatum, indem Sie auf die entsprechende Spaltenüberschrift klicken.

Optionen

Name, Pfad und Zuletzt geändert

Zeigt folgende Informationen über die verfügbaren Steuerelemente an: den Namen, den vollständigen Pfad sowie Datum und Uhrzeit der letzten Änderung.

Der vollständige Pfad ist hilfreich, wenn Sie die Steuerelemente nach ihrem Speicherort gruppieren möchten. Über das Datum der letzten Änderung lässt sich leicht feststellen, welche Steuerelemente erst kürzlich erstellt wurden.

Beschreibung

Zeigt die Entwicklungssprache und die Version des gewählten Steuerelements an.

Durchsuchen

Blendet das Durchsuchen-Dialogfeld ein, mit dem Sie ActiveX-Steuerelemente (.ocx-Dateien) oder DLLs auswählen können, die zwar auf dem lokalen Computer oder im Netzwerk vorhanden, aber nicht auf Ihrem Computer registriert sind. Wenn Sie ein Steuerelement auswählen, wird es registriert und mit einem Häkchen angezeigt.

Zurücksetzen

Stellt den Originalzustand der Werkzeugsammlung wieder her und aktualisiert die aktuelle Registerkarte. Die Standardsteuerelemente werden durch Häkchen in den Kontrollkästchen auf der linken Seite gekennzeichnet.


Dialogfeld "Haltepunkteigenschaften"

Zeigt die Eigenschaften für einen bestimmten Haltepunkt an.

Im Dialogfeld Haltepunkteigenschaften stehen folgende Möglichkeiten zur Verfügung:

  • Anzeigen der Position eines Haltepunktes im Code.

  • Ändern des bedingten Ausdrucks (falls definiert) für einen Haltepunkt.

  • Festlegen der Trefferanzahl für einen Haltepunkt, bevor die Ausführung des Codes angehalten wird.

  • Überwachen der Häufigkeit, mit der ein Haltepunkt während der Laufzeit bereits getroffen wurde.

Optionen

Position

Datei

Zeigt den Namen der Datei an, die den Haltepunkt enthält, sowie die Zeile, in der sich der Haltepunkt befindet. Der Inhalt dieses Textfeldes kann nicht bearbeitet werden.

Bedingung

Legt eine Bedingung fest, die erfüllt sein muss, damit die Ausführung am Haltepunkt angehalten wird. Ist die Bedingung nicht erfüllt, wird der Haltepunkt übergangen und die Ausführung des Programms wird fortgesetzt.

Ist wahr

Legt fest, dass die angegebene Bedingung erfüllt sein muss, damit die Ausführung am Haltepunkt angehalten wird.

Hat sich geändert

Legt fest, dass der Wert der angegebenen Bedingung sich geändert haben muss, damit die Ausführung angehalten wird.

Trefferanzahl

Wenn diese Option aktiviert ist, wird am angegebenen Haltepunkt die Ausführung des Codes nur dann angehalten, wenn eine der Bedingungen unter Trefferanzahl erfüllt ist.

Anhalten, wenn Trefferanzahl

Ermöglicht die Angabe einer Treffersituation, die gegeben sein muss, damit die Ausführung des Codes angehalten wird.

ist gleich: Legt fest, dass die Ausführung des Codes unterbrochen wird, wenn die Trefferanzahl des Haltepunkts einen bestimmten Wert erreicht hat. Im Textfeld können Sie die Trefferanzahl festlegen, nach der die Ausführung des Codes angehalten werden soll.

ist ein Vielfaches von: Diese Option legt fest, dass die Ausführung des Codes am Haltepunkt angehalten wird, wenn die Trefferanzahl des Haltepunkts ein Vielfaches der im Textfeld angegebenen Zahl ist.

ist größer als oder gleich: Diese Option legt fest, dass die Ausführung des Codes am Haltepunkt angehalten wird, wenn die Trefferanzahl des Haltepunktes größer oder gleich der im Textfeld angegebenen Zahl ist.

Aktuelle Trefferanzahl

Zeigt an, wie oft der Code des Haltepunkts ausgeführt wurde. Dieser Wert steigt nur während Debug-Sitzungen an.

Zurücksetzen

Setzt den Zähler der Trefferanzahl auf Null zurück.


Dialogfeld "Haltepunkte"

Zeigt eine Liste aller Haltepunkte in der aktuellen Projektmappe an.

Im Dialogfeld Haltepunkt stehen folgende Möglichkeiten zur Verfügung:

  • Hinzufügen neuer Haltepunkte nach Namen.

  • Aktivieren, Deaktivieren und Löschen von einem oder mehreren bestehenden Haltepunkten durch Drücken von STRG und klicken auf den/die Haltepunkt(e).

  • Ändern der Eigenschaften von Haltepunkten.

Optionen

Haltepunkte

Zeigt eine Liste aller Haltepunkte .

Eigenschaften

Zeigt das Dialogfeld Haltepunkteigenschaften an, in dem die Eigenschaften des gewählten Haltepunkts verändert werden können.

Code anzeigen

Schließt das Dialogfeld Haltepunkte nachdem die Änderungen gespeichert wurden und zeigt den gewählten Haltepunkt im Texteditor-Fenster an.

Alle auswählen

Wählt alle Haltepunkte in der Liste der Haltepunkte aus.

Aktivieren

Aktiviert die gewählten Haltepunkte.

Deaktivieren

Deaktiviert die gewählten Haltepunkte.

Entfernen

Entfernt den gewählten Haltepunkt oder die gewählten Haltepunkte.

Haltepunkt hinzufügen

Sprache

Zeigt eine Liste der verfügbaren Entwicklungssprachen an, in denen Sie einen Haltepunkt nach Namen hinzufügen können.

Hinzufügen

Zeigt das Dialogfeld Neuer Haltepunkt an, in dem Sie einen Haltepunkt zu dem gewählten Dokument hinzufügen können.


Schaltflächen-Editor - Dialogfeld

Mit diesem Hilfsprogramm können Sie Symbole von Schaltflächen ändern.

Optionen

Bild

Zeigt das Symbol in einem Pixel-Raster an.

Verschieben

Bewegt das Bild, so dass Sie alle Bereiche des Bildes bearbeiten können.

Bewegt das Bild um eine Zeile nach oben, bis die oberste Pixel-Zeile sichtbar ist.

Bewegt das Bild um eine Zeile nach unten, bis die unterste Pixel-Zeile sichtbar ist.

Bewegt das Bild um eine Zeile nach rechts, bis die am weitesten rechts liegende Pixel-Spalte sichtbar ist.

Bewegt das Bild um eine Zeile nach links, bis die am weitesten links liegende Pixel-Spalte sichtbar ist.

Farben

Ändert die Farbe der Pixel. Klicken Sie die gewünschte Farbe und dann das Pixel, das diese Farbe erhalten soll.

Entfernen

Entfernt die Farbe des Pixels, auf das Sie klicken, nachdem Sie auf das Entfernen-Feld geklickt haben.

Vorschau

Zeigt während Sie die Änderungen durchführen, wie das Symbol erscheinen wird.

OK

Weist dem Steuerelement das Bild zu.

Löschen

Löscht alle Pixel des Bildes.


Dialogfeld "Haltepunkte auswählen"

Ermöglicht Ihnen auszuwählen, welche Haltepunkte aus der Liste der übereinstimmenden Haltepunkte hinzugefügt werden sollen.

Anmerkung Dieses Dialogfeld wird nur angezeigt, wenn der eingegeben Haltepunktname mehr als einmal im Code verwendet wird.

Optionen

Haltepunkte

Listet alle Haltepunkte auf, die dem im Dialogfeld Haltepunkt hinzufügen angegebenen Ausdruck entsprechen. Aktivieren Sie die Haltepunkte, die hinzugefügt werden sollen.

Alle

Wählt alle Haltepunkte aus.

Keine

Löscht alle Haltepunkte.


Registerkarte "COM-Bibliotheken" (Dialogfeld "Neue Pakete/Bibliotheken hinzufügen")

Ermöglicht das Hinzufügen von COM-Bibliotheken und deren Verfügbarkeit für Suchvorgänge. Nachdem Sie eine Bibliothek hinzugefügt haben, wird diese unter COM-Bibliotheken im Dialogfeld Pakete/Bibliotheken auswählen angezeigt. Standardmäßig wird eine Bibliothek, die gewählt wurde, durch ein links davon stehendes Häkchen gekennzeichnet. Eine COM-Bibliothek, die Sie im Dialogfeld Pakete/Bibliotheken auswählen hinzugefügt haben, bleibt so lange für Suchvorgänge verfügbar, bis Sie sie durch Entfernen des Häkchens löschen.

Optionen

Verfügbare COM-Bibliotheken

Zeigt eine Liste mit allen registrierten COM-Objekten an.

Typenbibliothek-Informationen

Zeigt den Namen und den Pfad der Bibliothek an, die im Dialogfeld Verfügbare COM-Bibliotheken ausgewählt ist. Außerdem werden auch die Entwicklungssprache und die Version angezeigt.

Schaltfläche "Durchsuchen"

Zeigt das Dialogfeld COM-Komponente auswählen an, in dem Sie andere Verzeichnisse nach Bibliotheken durchsuchen und diese zur Liste Verfügbare COM-Bibliotheken hinzufügen können.


Befehle - Registerkarte (Anpassen - Dialogfeld)

Dient zum Hinzufügen neuer Befehle bzw. zum Bearbeiten bestehender Befehle in der Menüleiste oder den Symbolleisten. Sie können auch das Symbol einer Symbolleistenschaltfläche ändern.

Optionen

Kategorien

Listet die verschiedenen Befehlskategorien auf.

Befehle

Listet die für die gewählte Kategorie verfügbaren Befehle auf. Sie können einen Befehl an die Stelle einer Symbolleiste ziehen, an der die Schaltfläche für diesen Befehl erscheinen soll. Soll der Befehl in einem Menü eingefügt werden, ziehen Sie den Befehl auf den Titel des Menüs und dann an die gewünschte Stelle innerhalb des Menüs.

Beschreibung

Zeigt den QuickInfo-Text für den aktuell gewählten Befehl an.

Auswahl ändern

Zeigt ein Menü mit Befehlen an, mit denen der ausgewählte Befehl angepasst werden kann, nachdem Sie ihn auf die Symbolleiste gezogen haben.

Zurücksetzen

Setzt den Befehl auf die Standardeinstellung zurück.

Löschen

Löscht den Befehl.

Name

Ermöglicht es, den Namen des Befehls zu ändern. Mit einem Et-Zeichen (&) können Sie auch eine Zugriffstaste definieren.

Schaltflächensymbol kopieren

Kopiert das Symbol der Schaltfläche in die Zwischenablage.

Schaltflächensymbol einfügen

Fügt das Bild aus der Zwischenablage als Symbol der ausgewählten Schaltfläche ein.

Schaltflächensymbol zurücksetzen

Setzt das Symbol der ausgewählten Schaltfläche auf das integrierte Symbol zurück.

Schaltflächensymbol bearbeiten

Zeigt das Dialogfeld Schaltflächen-Editor an.

Schaltflächensymbol ändern

Zeigt eine Liste mit Schaltflächensymbolen an, aus der Sie ein anderes Symbol für die Schaltfläche wählen können.

Standard

Legt fest, dass in Symbolleisten nur das Symbol, in Menüs das Symbol und der Name angezeigt wird.

Nur Text (immer)

Zeigt nur den Namen des Befehls an.

Nur Text (in Menüs)

Blendet das Symbol (falls vorhanden) in Menüs aus. Diese Einstellung hat für Symbolleisten keine Bedeutung.

Schaltflächensymbol und Text

Zeigt in Symbolleisten sowohl das Symbol als auch den Namen an. Diese Einstellung hat für Menüs keine Bedeutung.

Gruppe beginnen

Legt fest, dass in Symbolleisten eine Trennlinie vor dem Befehl angezeigt wird. Die Einstellung ist nicht verfügbar, wenn der Befehl am Anfang einer Symbolleiste eingefügt wurde.


Fensterlayout definieren - Dialogfeld

Ermöglicht es, die aktuellen Fenstereinstellungen (die sog. Ansicht) zu speichern und gegebenenfalls wiederzuverwenden. Sie können Ansichten hinzufügen, löschen und umbenennen oder eine Ansicht auswählen und anwenden.

Anmerkung Sie können die Ansichten "Test-Voreinstellung", "Design-Voreinstellung" und "Ganzer Bildschirm - Voreinstellung" nicht umbenennen oder löschen.

Optionen

Name der Ansicht

Legt einen Namen für die Ansicht fest.

Ansichten

Listet die verfügbaren Ansichten auf.

Übernehmen

Wendet die gewählte Ansicht auf die Entwicklungsumgebung an, ohne das Dialogfeld zu schließen.

Hinzufügen

Speichert die aktuelle Ansicht unter dem Namen, den Sie im Feld Name der Ansicht angegeben haben, und fügt den Namen in der Liste Ansichten hinzu.

Löschen

Löscht die gewählte Ansicht aus der Liste Ansichten. Dieser Befehl steht nicht zur Verfügung, wenn eine der Ansichten "Test-Voreinstellung", "Design-Voreinstellung" und "Ganzer Bildschirm - Voreinstellung" ausgewählt ist.

Umbenennen

Ändert den Namen der ausgewählten Ansicht in den Namen, den Sie im Feld Name der Ansicht angegeben haben. Dieser Befehl steht nicht zur Verfügung, wenn eine der Ansichten "Test-Voreinstellung", "Design-Voreinstellung" und "Ganzer Bildschirm - Voreinstellung" ausgewählt ist.


Bereits vorhanden - Registerkarte (Neue Datei und Datei öffnen - Dialogfelder)

Hilft bei der Suche nach bestehenden Dateien mit Codefragmenten, Notizen oder anderen Informationen, die Sie in einem Projekt verwenden möchten.


Schriftart- und Farboptionen (Text-Editor-Optionen - Dialogfeld)

Legt die Schriftart für Editor-Fenster und die Farben für verschiedene Textelemente im Editor-Fenster fest.

VORSICHT Wenn Sie auf Abbrechen klicken, werden alle Änderungen in der Registerkarte verworfen. Wurden Änderungen in mehr als einer Kategorie vorgenommen, so werden diese nicht gespeichert.

Optionen

Editorenschriftart

Listet alle Schriftarten auf, die für den Editor installiert sind. Wenn die Liste zum ersten Mal angezeigt wird, ist die momentan für das ausgewählte Element verwendete Schriftart markiert. Eine Änderung der Schriftart wirkt sich auf alle Elemente des Editors aus. Sie können die Schriftart nicht für einzelne Teile ändern.

Schriftgrad

Listet übliche Größen für die ausgewählte Schriftart auf. Eine Änderung der Schriftgröße wirkt sich auf alle Elemente des Editors aus.

Elemente anzeigen

Listet die Elemente auf, deren Vorder- und Hintergrundfarbe sowie deren Fettformatierung der syntaktischen Elemente geändert werden kann.

Vordergrund des Elements

Listet die Farben auf, die für die Vordergrundfarbe des ausgewählten Elements verwendet werden können. Die Änderung der Text-Vordergrundfarbe ändert die Standardeinstellung für einige Elemente, wie z. B. Compiler-Fehler, Schlüsselwörter oder Operatoren.

Hintergrund des Elements

Listet die Farben auf, die für die Hintergrundfarbe des ausgewählten Elements verwendet werden können. Die Änderung der Text-Hintergrundfarbe ändert die Standardeinstellung für einige Elemente, wie z. B. Compiler-Fehler, Schlüsselwörter oder Operatoren.

Fett

Wählt die Formatierung "fett" für das gewählte Element. Diese Einstellung ist nur für syntaktische Elemente, wie z. B. Kommentare, inaktiver Code, Schlüsselwörter und Zahlen verfügbar.

Beispiel

Zeigt ein Beispiel der gewählten Formatierung an. Das Beispiel erlaubt eine Vorschau auf die Schriftart, die Größe und die Farben, die momentan eingestellt sind. Dadurch können Sie mit verschiedenen Einstellungen experimentieren.

Alle zurücksetzen

Stellt die Standardeinstellungen wieder her.


Allgemeine Optionen (Debugger -- Dialogfeld "Optionen")

Allgemeine Optionen (Debugger — Dialogfeld "Optionen")

Ermöglicht das Einstellen von allgemeinen Debug-Optionen in der Entwicklungsumgebung.

VORSICHT Durch das Klicken auf Abbrechen werden alle Änderungen verworfen, die Sie im Dialogfeld vorgenommen haben. Wenn Sie in mehr als einer Kategorie Änderungen vorgenommen haben, werden keine dieser Änderungen gespeichert.

Optionen

Allgemein

Hexadezimale Anzeige

Zeigt numerische Werte als Hexadezimalzahlen an (beispielsweise Parameter, Rückgabewerte und Ausdrücke).

Anmerkung Die Option Hexadezimale Anzeige beeinflußt die Zahleneingabe nicht. Um eine Zahl hexadezimal einzugeben, müssen Sie sich an das entprechende Format der verwendeten Sprache halten.

Just-In-Time-Debugger

Ermöglicht das Auffinden von Fehlern, während das Programm außerhalb der Debug-Umgebung ausgeführt wird, und die Entscheidung, ob bei einem Fehler der Debug-Vorgang gestartet werden soll. Sie müssen diese Option aktivieren, bevor Sie die Anwendung, für die ein Just-in-time-Debug-Vorgang durchgeführt werden soll, starten.

Script

An laufende Programme anfügen

Ermöglicht das Anfügen des Debuggers an ein laufendes Script-Programm und das Debuggen des Programms zu jeder beliebigen Zeit, ohne es aus der Entwicklungsumgebung starten zu müssen.

Just-In-Time-Debuggen

Ermöglicht das Auffinden von Fehlern, während das Programm außerhalb der Debug-Umgebung ausgeführt wird, und die Entscheidung, ob bei einem Fehler der Debug-Vorgang gestartet werden soll. Sie müssen diese Option aktivieren, bevor Sie die Anwendung, für die ein Just-in-time-Debug-Vorgang durchgeführt werden soll, starten.

Haltepunkte in Client-Skript in Active Server Pages einfügen

Ermöglicht die Prüfung von Code in einer Active Server Page, wenn ein zugehöriger Haltepunkt im Client-Script getroffen wird.


Allgemeine Optionen (Umgebungsoptionen - Dialogfeld)

Legt allgemeine Einstellungen für die Entwicklungsumgebung fest.

VORSICHT Wenn Sie auf Abbrechen klicken, werden auch alle Änderungen in den anderen Registerkarten verworfen.

Optionen

Global

Fenstermenü enthält <Anzahl> Elemente

Legt die Anzahl der Fenster fest, die in der Fensterliste des Menüs Fenster angezeigt werden. Es sind Werte zwischen 1 und 24 erlaubt. Die Voreinstellung ist 8.

Statusleiste anzeigen

Zeigt die Statusleiste an.

SDI-Umgebung

Schaltet die Entwicklungsumgebung von einer MDI-Umgebung (Multiple Document Interface) in eine SDI-Umgebung (Single Document Interface) um. Die SDI-Umgebung wird so lange verwendet, bis Sie diese Option wieder deaktivieren.

Aktives Dokumentfenster wiederverwenden, falls gespeichert

Wenn Sie in der Entwicklungsumgebung eine neue Datei öffnen, wird das aktuelle Bearbeitungsfenster verwendet (und kein neues Fenster geöffnet), falls der Inhalt gespeichert wurde.

Editorenfenster ausblenden, wenn der Projekt-Explorer ausgeblendet ist

Ist diese Option gewählt, werden die Editorenfenster ausgeblendet, wenn der Projekt-Explorer ausgeblendet ist.


Allgemeine Optionen (Text-Editor-Optionen - Dialogfeld)

Ermöglicht das Anpassen der Optionen für den Text-Editor.

VORSICHT Wenn Sie auf Abbrechen klicken, werden auch alle Änderungen in den anderen Registerkarten verworfen.

Optionen

Einstellungen

Klickwartezeit verwenden

Ermöglicht, den Fokus von einem Fenster zu einem anderen zu verschieben, ohne die Position der Eingabemarke im ersten Fenster zu verändern, falls Sie die Maustaste kürzer als die im Feld Millisekunden angegebene Zeit gedrückt halten. Angenommen, Sie markieren z. B. im Editor ein Wort und klicken auf ein anderes Fenster. Falls die Option Klickwartezeit verwenden aktiviert wurde und Sie die Maustaste kürzer als die angegebene Zeit halten, wird die Einfügemarke wieder auf das ausgewählt Wort gesetzt, wenn Sie zum ersten Fenster zurückkehren. Falls die Option Klickwartezeit verwenden nicht gewählt ist, wird die Eingabemarke an der Stelle erscheinen, auf die Sie zuletzt im zweiten Fenster geklickt haben.

Millisekunden

Hier können Sie die Klickwartezeit einstellen. Der Wert muss zwischen 0 und 2000 Millisekunden liegen. Die Standardeinstellung ist 200 Millisekunden.

Nach Escape zum Anchor gehen

Wenn Sie ESC drücken wird die Einfügemarke zum Anfang oder zum Ende der Auswahl bewegt (abhängig davon, wo sich die Einfügemarke befand, als Sie den Text ausgewählt haben). Angenommen, Sie markieren einen Absatz beginnend mit dem letzten Wort und drücken dann ESC, so wird die Einfügemarke zum Ende des letzten Wortes in diesem Absatz bewegt.

Mit Einfügemarke am Anfang der Auswahl einfügen

Wenn diese Option aktiviert ist, wird die Einfügemarke beim Einfügen von Text aus der Zwischenablage an den Anfang der Auswahl bewegt.

Drag/Drop-Textbearbeitung

Ermöglicht, Teile innerhalb des aktuellen Codes und vom Bearbeitungsfenster in das Direktfenster zu ziehen und abzulegen.

Bewegungen der Einfügemarke als Teil der Rückgängig-Liste

Legt fest, dass auch reine Bewegungen der Einfügemarke in die Rückgängig-Liste aufgenommen werden.

Anzeige

Auswahlrand

Zeigt die Markierungsleiste auf der linken Seite des Bearbeitungsfensters an.

Kennzeichenleiste

Blendet die Kennzeichenleiste ein oder aus.

Vertikale Bildlaufleiste

Zeigt die vertikale Bildlaufleiste im Bearbeitungsfenster an.

Horizontale Bildlaufleiste

Zeigt die horizontale Bildlaufleiste im Bearbeitungsfenster an.


Gruppieren und sortieren - Dialogfeld (Objektkatalog)

Ermöglicht es, Klassen und Elemente im Objektkatalog nach Typ oder Zugriffsstatus zu gruppieren und zu sortieren. Standardmäßig wird keine Gruppierung angewendet.

Optionen

Klassen

Gruppieren nach-Liste

Legt das Kriterium für die Gruppierung der zu sortierten Klassen fest:

  • <Keine Gruppierung>: Verwendet keine Gruppierung bzw. hebt eine bestehende Gruppierung auf.

  • Nach Klassenzugriff gruppieren: Ordnet Klassen nach ihrem Zugriffsstatus in Gruppen an. Wenn Sie die Reihenfolge der Werte in der Liste Werte ändern, ändert sich auch die Reihenfolge der Gruppen in der Anzeige.

  • Nach Klassentyp gruppieren: Ordnet Klassen nach ihrem Typ in Gruppen an. Wenn Sie die Reihenfolge der Werte in der Liste Werte ändern, ändert sich auch die Reihenfolge der Gruppen in der Anzeige.

Werte

Zeigt die entwicklungsspezifischen Werte für die Auswahl in der Gruppieren nach-Liste an.

Mitglieder

Gruppieren nach-Liste

Legt das Kriterium für die Gruppierung der zu sortierten Elemente fest:

  • <Keine Gruppierung>: Verwendet keine Gruppierung bzw. hebt eine bestehende Gruppierung auf.

  • Nach Mitgliedszugriff gruppieren: Ordnet Elemente nach ihrem Zugriffsstatus (entsprechend der Auswahl in der Werte-Liste) in Gruppen an.

  • Nach Mitgliedstyp gruppieren: Ordnet Elemente nach ihrem Typ (entsprechend der Auswahl in der Werte-Liste) in Gruppen an.

Werte

Zeigt die entwicklungsspezifischen Werte für die Auswahl in der Gruppieren nach-Liste an.

Bewegt das ausgewählte Element in der Liste um eine Position nach oben.

Bewegt das ausgewählte Element in der Liste um eine Position nach unten.

Gruppieren mit Gruppenköpfen in Hauptliste

Zeigt die sortierten Klassen oder Elemente in einer Baumstruktur an. In der Liste werden nur Werte angezeigt, die für die durchsuchten Pakete und Bibliotheken relevant sind. Wenn in der durchsuchten Menge beispielsweise keine COM-Bibliotheken ausgewählt sind, werden keine Typen und Zugriffsarten für COM-Klassen und -Elemente in der Werteliste angezeigt.

Übernehmen

Wendet die Einstellungen auf die aktuellen Daten im Objektkatalog an ohne den Dialog zu schließen.


Datei als Text einfügen - Dialogfeld

Mit diesem Dialogfeld können Sie eine Datei suchen und als Text in den Editor einfügen.


Internationale Einstellungen (Umgebungsoptionen - Dialogfeld)

Hier können Sie die Sprache und die Schriftarten für die Dialog- und Tool-Fenster der Entwicklungsumgebung festlegen, falls Sie mehr als eine Sprachversion der Entwicklungsumgebung auf Ihrem Computer installiert haben. Die Änderungen werden wirksam, wenn Sie die Anwendung neu starten. Sie werden beibehalten, bis Sie sie wieder ändern.

VORSICHT Wenn Sie auf Abbrechen klicken, werden auch alle Änderungen in den anderen Registerkarten verworfen.

Optionen

Sprache

Listet die verfügbaren Sprachen für die Entwicklungsumgebung auf. Nur die auf dem Computer installierten Sprachen stehen zur Auswahl. Wenn Sie z. B. sowohl die englische als auch die deutsche Version auf Ihrem Computer installiert haben, erscheinen sowohl Englisch als auch Deutsch in der Liste.

Der Listeneintrag Wie Microsoft Office bewirkt, dass in der Entwicklungsumgebung die selbe Sprache verwendet wird wie in Microsoft Office. Dadurch hat eine Änderung der Sprache in Microsoft Office die gleiche Änderung in der Entwicklungsumgebung zur Folge.

Schriftart

Listet die verfügbaren Schriftarten entsprechend der gewählten Sprache auf.

Anmerkung Titelleisten der Werkzeugfenster werden durch das Ändern des Schriftgrads auf dieser Registerkarte nicht beeinflußt. Sie können den Schriftgrad der Titelleiste der Werkzeugfenster über den Eintrag Palettentitel auf der Registerkarte Darstellung im Dialogfeld Eigenschaften von Anzeige der Systemsteuerung verändern.

Schriftgrad

Listet die verfügbaren Schriftgrößen auf.

Beispiel

Zeigt ein Beispiel in der gewählten Schriftart und Sprache an.

Alle zurücksetzen

Setzt die Schriftart und -größe auf die Standardeinstellungen für die aktuell gewählte Sprache zurück. Wenn Sie z. B. Japanisch als aktuelle Sprache verwenden und eine andere und größere Schriftart eingestellt haben, werden mit Alle zurücksetzen die standardmäßig eingestellten Werte für Japanisch wiederhergestellt.


Tastaturoptionen (Umgebungsoptionen - Dialogfeld)

In diesem Dialogfeld können Sie die Tastaturbelegung in der Entwicklungsumgebung anpassen.

VORSICHT Wenn Sie auf Abbrechen klicken, werden alle Änderungen in den anderen Registerkarten verworfen, die nicht mit der Schaltfläche Übernehmen bestätigt wurden. Sobald Sie auf Übernehmen klicken, werden die Änderungen sofort gespeichert.

Optionen

Tastenzuordnungsschema

Listet alle verfügbaren Tastenzuordnungen auf. Wählen Sie ein bestimmtes Schema aus, um dieses zu laden.

Speichern unter

Zeigt das Dialogfeld Speichern unter an, in dem Sie geänderte Tastenzuordnungen unter einem neuen Namen und in einem neuen Pfad speichern können.

Löschen

Löscht das ausgewählte Tastenzuordnungsschema.

Kategorien

Listet alle Hauptmenübefehle in der Standardreihenfolge auf. Sie können den Anfangsbuchstaben eines Menünamens eingeben, um zum ersten aller mit diesem Buchstaben beginnenden Menüs zu springen.

Befehle

Listet die Standardbefehle auf, die der ausgewählten Kategorie zugeordnet sind. Sie können den Anfangsbuchstaben eines Befehls eingeben, um zum ersten aller mit diesem Buchstaben beginnenden Befehle zu springen.

Zuweisen

Weist dem ausgewählten Befehl eine neue Tastenkombination und den gewählten Gültigkeitsbereich zu. Diese Schaltfläche ist erst verfügbar, nachdem Sie im Feld Neue Tastenkombination drücken eine Tastenkombination eingegeben haben. Die Änderungen werden in der Tastaturzuordnungsdatei gespeichert, die im Feld Tastenzuordnungsschema angegeben ist.

Anmerkung Änderungen, die Sie mit der Schaltfläche Zuweisen bestätigt haben, werden durch die Schaltfläche Abbrechen nicht rückgängig gemacht.

Entfernen

Entfernt die ausgewählte Tastenkombination.

Alle zurücksetzen

Setzt alle Tastaturoptionen auf den zuletzt gespeicherten Stand zurück.

Neue Tastenkombination drücken

In diesem Feld können Sie eine Tastenkombination eingeben, die für den aktuell ausgewählten Befehl verwendet werden soll. Sie müssen eine oder mehrere Steuerungstasten, wie STRG, ALT oder UMSCHALT verwenden. Die Steuerungstasten müssen in der Reihenfolge erscheinen, in der sie gedrückt werden. Wenn Sie z.B. zuerst STRG, dann UMSCHALT und schließlich F2 drücken, wird dem Befehl die Tastenkombination STRG+UMSCHALT+F2 zugewiesen. Mit der RÜCKTASTE können Sie die gesamte bisher eingegebene Tastenkombination auf einmal löschen.

Anmerkung Die folgenden Tasten können nicht zugewiesen werden: ALT, UMSCHALT oder STRG ohne zusätzliche Taste; ESC, DRUCK/S_ABF, ROLLEN, PAUSE/UNTBR, TAB, FESTSTELLTASTE, EINFG, POS1, ENDE, BILD-AUF, BILD-AB, Windows-Tasten, Anwendungstasten, alle Pfeiltasten und EINGABETASTE; NUM, ENTF auf dem Zahlenblock; oder STRG+ALT+ENTF.

Aktuelle Tasten

Listet die Tasten auf, die dem gewählten Befehl momentan zugeordnet sind.

Neue Tastenkombination verwenden in

Ermöglicht, eine Tastenkombination global in der gesamten Entwicklungsumgebung oder in einem speziellen Editor zuzuordnen (global ist die Standardeinstellung). Wenn Sie einen bestimmten Editor auswählen, ist die Tastenkombination nur so lange aktiv, wie auch der Editor aktiv ist. Bei der Einstellung "global" funktioniert die Tastenkombination in jedem aktiven Fenster der Entwicklungsumgebung.

Momentan zugewiesen

Zeigt den Befehl an, dem die Tastenkombination momentan zugewiesen ist. Dies geschieht nur, wenn Sie eine Tastenkombination eingeben, die bereits zugeordnet ist.


Suchen in Ordner - Dialogfeld

In diesem Dialogfeld können Sie die Dateien bestimmen, die in die Suche eingeschlossen werden. Die gewählten Optionen werden nicht vom Befehl Neue Suche im Dialogfeld Suchen und Ersetzen.

Optionen

Verfügbare Ordner

Enthält eine Liste der verfügbaren Ordner, Laufwerke und Server, die durchsucht werden können. Doppelklicken Sie auf eines der folgenden Smbole, um eine Liste der darin enthaltenen Ordner anzuzeigen.

Symbol | Liste der verfügbaren Ordner
 | Ihre interne Festplatte.
 | Ein weiteres Diskettenlaufwerk.
 | Eine Festplatte.
 | Ein CD-ROM-Laufwerk.
 | Ein Server, mit dem Sie verbunden sind.

Zu Liste hinzufügen

Fügt den ausgewählten Ordner, das Laufwerk oder den Server zu den Suchkriterien hinzu. Alle Elemente werden in der Reihenfolge durchsucht, in der sie in der Liste erscheinen.

Aus Liste entfernen

Entfernt den ausgewählten Ordner, das Laufwerk oder den Server aus den Suchkriterien.

Liste der Ordner, in denen gesucht werden soll

Enthält eine Liste mit den zu durchsuchenden Dateien, einschließlich des vollständigen Pfades.

Suchen in Dateien desTyps

Listet die Dateitypen auf, bei denen die einzelnen Anwendungen die Suche unterstützen.


Dialogfeld "Neuer Haltepunkt"

Ermöglicht die Definition eines neuen benannten Haltepunktes.

Im Dialogfeld Neuer Haltepunkt stehen folgende Möglichkeiten zur Verfügung:

  • Erstellen eines Haltepunktes für eine Methode in einem Projekt.

  • Definieren eines bedingten Ausdrucks für den Haltepunkt.

  • Festlegen der Trefferanzahl für einen Haltepunkt, bevor die Ausführung des Codes angehalten wird.

Optionen

Position

Name

Zeigt den Namen der Funktion an, der der Haltepunkt zugeordnet ist. Wenn Sie in dieses Textfeld einen Methodennamen eingeben, durchsucht die Entwicklungsumgebung die Projekte und vordefinierten Klassen nach der Methode und fügt einen Haltepunkt in die erste gültige Codezeile der Methode ein. Falls mehrere Methoden mit dem gleichen Namen existieren, wird das Dialogfeld Haltepunkte auswählen angezeigt. In diesem Dialogfeld können Sie die Methode auswählen, in die ein Haltepunkt eingefügt werden soll.

Anmerkung Wenn Sie einen Klassennamen eingeben, werden alle Methoden dieser Klasse angezeigt.

Datei

Zeigt den Namen der Datei an, die den Haltepunkt enthält, sowie die Zeile, in der sich der Haltepunkt befindet. Der Inhalt dieses Textfeldes kann nicht bearbeitet werden.

Bedingung

Zeigt den bedingten Ausdruck an, der für den Haltepunkt definiert wurde (falls vorhanden). Bedingte Haltepunkte ermöglichen das Festlegen einer Bedingung, die dazu führt, dass die Ausführung des Codes in der Zeile mit dem Haltepunkt angehalten wird. Ist die Bedingung nicht erfüllt, wird der Haltepunkt übergangen und die Ausführung des Programms fortgesetzt.

Ist wahr

Legt fest, dass die Bedingung erfüllt ist.

Hat sich geändert

Legt fest, dass der Wert der angegebenen Bedingung sich geändert haben muss, damit die Ausführung angehalten wird.

Trefferanzahl

Wenn diese Option aktiviert ist, wird am angegebenen Haltepunkt die Ausführung des Codes nur dann angehalten, wenn eine der Bedingungen unter Trefferanzahl erfüllt ist.

Anhalten, wenn Trefferanzahl

Ermöglicht die Angabe einer Treffersituation, die gegeben sein muss, damit die Ausführung des Codes angehalten wird.

ist gleich: Legt fest, dass die Ausführung des Codes unterbrochen wird, wenn die Trefferanzahl des Haltepunkts einen bestimmten Wert erreicht hat. Im Textfeld können Sie die Trefferanzahl festlegen, nach der die Ausführung des Codes angehalten werden soll.

ist ein Vielfaches von: Diese Option legt fest, dass die Ausführung des Codes am Haltepunkt angehalten wird, wenn die Trefferanzahl des Haltepunkts ein Vielfaches der im Textfeld angegebenen Zahl ist.

ist größer als oder gleich: Diese Option legt fest, dass die Ausführung des Codes am Haltepunkt angehalten wird, wenn die Trefferanzahl des Haltepunktes größer oder gleich der im Textfeld angegebenen Zahl ist.

Aktuelle Trefferanzahl

Zeigt an, wie oft der Code des Haltepunkts ausgeführt wurde. Dieser Wert steigt nur während Debug-Sitzungen an.

Zurücksetzen

Setzt den Zähler der Trefferanzahl auf Null zurück.


Neu - Registerkarte (Neue Datei und Datei öffnen - Dialogfelder)

Zeigt Dateien aller Projekttypen an, die ohne ein aktives Projekt erstellt oder geöffnet werden können. Die Dateien können Codefragmente, Notizen oder andere Informationen enthalten, die Sie in einem Projekt verwenden möchten. Die Entwicklungsumgebung speichert die zuletzt verwendeten Speicherorte und Dateitypen und zeigt sie in dieser Registerkarte an.

Anmerkung Die Datei wird nicht gespeichert, bis Sie im Menü Datei auf Speichern klicken.

Optionen

Ordner

Listet die verfügbaren Ordner auf. Der Inhalt dieser Liste hängt von der verwendeten Anwendung ab. Der Ordner Allgemein wird immer angezeigt, aber nicht unbedingt von der aktuellen Anwendung verwendet.

Inhalt

Zeigt den Inhalt des gewählten Ordners an.


Neue Symbolleiste - Dialogfeld

Ermöglicht es, den Namen für eine neue Symbolleiste festzulegen.

Option

Name der Symbolleiste

Sie können einen Namen für die neue Symbolleiste eingeben oder den vorgeschlagenen Namen übernehmen. Der vorgeschlagene Name ist für jede benutzerdefinierte Symbolleiste eindeutig: Symbolleiste 1, Symbolleiste 2 usw.


Optionen - Registerkarte (Anpassen - Dialogfeld)

Ermöglicht es, das Erscheinungsbild von Menü- und Symbolleisten zu ändern.

Optionen

Große Schaltflächen

Vergrößert die Symbole in der Symbolleiste.

Schriftartennamen in Schiftart anzeigen

Zeichen werden in Dialogfeldern zum Auswählen von Schriftarten im WYSIWYG-Format angezeigt.

QuickInfo auf Symbolleisten anzeigen

Schaltet die QuickInfo-Texte ein bzw. aus.

Tastenkombinationen in QuickInfo anzeigen

Zeigt eventuell zugeordnete Tastenkombinationen in QuickInfo-Texten an.

Menü-Animation

Listet verfügbare Animationen auf, die für Menüleisten verwendet werden können.


Pro Sprache-Optionen (Text-Editor-Optionen - Dialogfeld)

Pro Sprache-Optionen (Text-Editor–Optionen - Dialogfeld)

Legt Details für Ihren Texteditor unabhängig von der verwendeten Anwendung fest.

Die sprachenabhängigen Optionen gelten für alle Editoren in der Entwicklungsumgebung. Sollen diese Optionen nur für einen bestimmten Editor eingestellt werden, wählen Sie den Editor in der Liste aus und legen dann die Optionen fest. Änderungen für einen bestimmten Editor sind nur solange gültig, bis Sie wieder sprachenabhängige Einstellungen ändern. Wenn Sie die virtuelle Leerzeichen ausschließlich in HTML-Editoren aktivieren möchten, wählen Sie unter Pro Sprache den Eintrag "HTML" aus und klicken auf Virtuellen Bereich aktivieren.

VORSICHT Wenn Sie auf Abbrechen klicken, werden auch alle Änderungen in den anderen Registerkarten verworfen.

Optionen

Anweisungsabschluss

Mitglieder automatisch auflisten

Zeigt eine Liste mit Informationen an, die die Anweisung an der aktuellen Eingabeposition logisch sinnvoll vervollständigen würden, während Sie die Anweisung eingeben.

Parameterinformationen

Zeigt während der Eingabe Informationen über Funktionen und ihre Parameter an.

Einstellungen

Stream-Auswahl

Markiert Text vom Beginn der ersten Zeile bis zum Ende der letzten Zeile (einschließlich der dazwischen liegenden Zeilen) aus.

Feldauswahl

Markiert einen rechteckigen Textblock vom ersten bis zum letzten gewählten Zeichen (einschließlich aller Zeichen, die sich innerhalb des so definierten Rechtecks befinden).

Virtuellen Bereich aktivieren

Legt fest, dass eine Markierung horizontal oder vertikal über das Ende einer Zeile hinausgehen darf.


Dialogfeld "Prozesse"

Dient zum Verbinden des Debuggers mit einem laufenden Prozess, um diesen zu debuggen. Außerdem werden alle zur Zeit verbundenen Prozesse aufgelistet.

Im Dialogfeld Prozesse stehen folgende Möglichkeiten zur Verfügung:

  • Anfügen oder Trennen von Prozessen für die aktuelle Debug-Sitzung. Beim ersten Auffinden debug-fähigen Codes in einem Prozess wechselt der Debugger in den Haltemodus. Danach wechselt der Debugger für jeden Prozess in den Haltemodus.

  • Feststellen, welche debug-fähigen Prozesse auf einem Computer ausgeführt werden.

  • Ausführung eines Prozesses anhalten, der gerade ausgeführt wird.

Sie können die Größe der Spaltenköpfe ändern, indem Sie den Rand nach rechts ziehen, um die Spalte vergrößern, oder nach links, um die Spalte zu verkleinern. Diese Option steht nur zur Verfügung, wenn mindestens ein Prozess in der Liste enthalten ist.

Optionen

Prozesse

Computer

Enthält eine Liste aller Computer, mit denen während einer IDE-Sitzung (Integrated Development Environment) eine Verbindung besteht. Sie können einen Computer aus der Liste wählen oder den Namen eines Computers eingeben. Falls Sie den Namen eingeben und die EINGABETASTE drücken, wird eine Suche nach diesem Computer ausgeführt, eine Verbindung zu ihm hergestellt und der Computer zu der Liste hinzugefügt.

Liste Prozess, Sprache und Debugger

Zeigt eine Liste aller Prozesse auf dem gewählten Computer an. Falls der Prozess sich im Debug-Vorgang befindet, wird in der Spalte Debugger der Debugger angezeigt, der diesem Prozess zugewiesen ist, sowie dessen Entwicklungssprache.

Schaltfläche Computer

Zeigt das Dialogfeld Computer suchen an, in dem Sie einen Remote-Computer auswählen können, auf dem sich der anzufügende Prozess befindet.

Schaltfläche Eigenschaften

Zeigt das Dialogfeld Debugger-Eigenschaften an, in dem Sie die Optionen für Just-In-Time-Debuggen und für das Anfügen von Prozessen für den aktuell gewählten Computer festlegen können.

Schaltfläche Anfügen

Fügt an den gewählten Prozess oder die gewählten Prozesse an.

Anmerkung Es können gleichzeitig mehrere Prozesse gewählt und die Anfügung vorgenommen werden.

Gedebuggte Prozesse

Liste Prozess und Computer

Zeigt eine Liste aller Prozesse an, die zur Zeit gedebuggt werden. In der Spalte Computer wird der Name des Computers genannt, auf dem der Prozess ausgeführt wird.

Trennen

Trennt von dem gewählten Prozess.

Anmerkung Sie können auch alle Prozesse in einem Schritt trennen, indem Sie den Menüpunkt Alle Prozesse trennen aus dem Menü Debuggen wählen.

Unterbrechen

Ermöglicht die Festlegung des Prozesses, in dem angehalten werden soll. Ist die Umschaltung in den Haltemodus erfolgt, werden alle Prozesse angehalten.


Eigenschaftenseiten - Dialogfeld

Legt Eigenschaften eines Steuerelements zur Entwurfszeit fest.

Optionen

Registerkarten

Erstellt ein Dialogfeld mit Registerkarten (Eigenschaftenseite), mit dem Benutzer Eigenschaftswerte eines Steuerelements zur Entwurfszeit ändern können. Eine Eigenschaftenseite arbeitet ähnlich wie ein Formular: Sie können Code schreiben, der die Eigenschaftswerte entsprechend der Eingaben des Benutzers ändert.

OK

Übernimmt die Einstellungen auf den Eigenschaftenseiten und schließt das Dialogfeld Eigenschaftenseiten.

Übernehmen

Übernimmt die Einstellungen auf den Eigenschaftenseiten, ohne das Dialogfeld Eigenschaftenseiten zu schließen.


Aktuell - Registerkarte (Neue Datei und Datei öffnen - Dialogfelder)

Zeigt eine Liste der zuletzt geöffneten Dateien mit ihrem Pfad an, die Codefragmente, Notizen oder andere Informationen enthalten, die Sie in einem Projekt verwenden möchten.

Optionen

Datei

Zeigt eine Liste der zuletzt geöffneten Dateien an.

Ordner

Zeigt den Pfad an, unter dem die Datei gespeichert ist.

Verändert

Zeigt das letzte Datum an, an dem die Datei geändert wurde.


Symbolleiste umbenennen - Dialogfeld

Ermöglicht es, den Namen einer benutzerdefinierten Symbolleiste zu ändern.

Option

Name der Symbolleiste

Sie können einen neuen Namen für die Symbolleiste eingeben.


Speicheroptionen (Umgebungsoptionen - Dialogfeld)

Legt fest, wie Projekte gespeichert werden.

VORSICHT Wenn Sie auf Abbrechen klicken, werden auch alle Änderungen in den anderen Registerkarten verworfen.

Projekt für verschiedene Dateien speichert die letzten <Anzahl> Elemente

Hier können Sie die Anzahl der Dateien angeben, die gespeichert werden sollen. Geben Sie einen Wert zwischen 0 und 255 an. Die Voreinstellung ist 20.


Dialogfeld "Pakete/Bibliotheken auswählen"

Ermöglicht die Auswahl der Pakete und Bibliotheken, die im Objektkatalog angezeigt werden sollen.

Optionen

Aktuelle Einstellungen

Zeigt eine hierarchische Strukturansicht der Bibliotheken und Pakete für Suchvorgänge an. Die baumartige Hierarchiestruktur zeigt die Knoten der obersten Ebene sowie die Bibliotheken in den darunter befindlichen Knoten an.

Anmerkung Die Standardanzeige ändert sich entsprechend der verwendeten Entwicklungsumgebung.

Bibliotheken und Pakete, die für Suchvorgänge gewählt wurden, werden in Fettschrift angezeigt. Wenn Sie den Knoten einer Bibliothek, die durchsucht werden soll, aktivieren, werden alle Knoten von der obersten bis zur untersten Ebene aktiviert. Wenn Sie einen übergeordneten Knoten deaktivieren, werden keine der Bibliotheken und Pakete darunter mehr im Katalog angezeigt. Gab es allerdings eine Teilauswahl von Bibliotheken und Paketen unter dem Knoten, so bleibt diese Teilauswahl aktiviert, obwohl sie nicht mehr im Katalog angezeigt wird.

Hinzufügen

Zeigt das Dialogfeld Neue Pakete/Bibliotheken hinzufügen an, in dem Sie neue Pakete oder Bibliotheken hinzufügen können.


Tabulator-Optionen (Text-Editor -- Dialogfeld "Optionen")

Tabulator-Optionen (Text-Editor — Dialogfeld "Optionen")

Ermöglicht das Festlegen der Tabulator-Optionen für den Editor.

Die Festlegung der Tabulator-Optionen gilt für alle Editoren aller Anwendungen in der Entwicklungsumgebung. Zum Einstellen der Tabulator-Optionen für einen speziellen Editor wählen Sie den Editor aus der Liste unterhalb des Eintrags Tabulatoren im linken Teilfenster. Die Änderung für den speziellen Editor bleibt nur so lange gültig, bis erneut eine Änderung über den Eintrag Tabulatoren erfolgt. Wenn Sie beispielsweise für alle Editoren in der Entwicklungsumgebung den Blockeinzug festlegen möchten, wählen Sie im Dialogfeld Optionen unter Text-Editor den Eintrag Tabulatoren und wählen dann auf der rechten Seite unter Einzug das Optionsfeld Block. Wenn Sie dann den Einzug nur für den HTML-Editor entfernen möchten, wählen Sie im Dialogfeld Optionen unter Text-Editor, Tabulatoren den Eintrag HTML und wählen dann das Optionsfeld Keiner. Nun wird im HTML-Editor kein Einzug mehr verwendet. Wenn Sie aber zu einem Texteditor wechseln, erfolgt weiterhin Blockeinzug.

VORSICHT Durch das Klicken auf Abbrechen werden alle Änderungen verworfen, die Sie im Dialogfeld vorgenommen haben. Wenn Sie in mehr als einer Kategorie Änderungen vorgenommen haben, werden keine dieser Änderungen gespeichert.

Optionen

Einzug

Keiner

Kein Einzug.

Block

Wenn Sie die EINGABETASTE drücken, wird der Text automatisch entsprechend dem Einzug der vorherigen Textzeile eingezogen. Somit bildet der Text optisch einen Block.

Intelligent

Wenn Sie die EINGABETASTE drücken oder im Editor neue Einzüge für den Code vornehmen, wird der rechte Einzug jeder Zeile automatisch festgelegt. Steht im HTML-Editor und im Texteditor nicht zur Verfügung.

Tabulatoren

Tabulatorgröße

Legt die Tabulatorgröße fest, die von 1 bis 32 Leerzeichen reichen kann. Die Standardeinstellung ist 4 Leerzeichen.

Einzugsgröße

Legt die Größe des Einzugs im Code fest. Werte von 1 bis 60 sind zulässig, der Standardwert ist 4.

Leerzeichen einfügen

Wenn im Editor automatische Einzüge vorgenommen werden, erfolgen diese durch Leerzeichen, und nicht durch Tabulatoren.

Tabulatoren beibehalten

Behält alle eingestellten Tabulatoren bei.


Symbolleisten - Registerkarte (Anpassen - Dialogfeld)

Dient zum Erstellen, Umbennenen, Löschen und Zurücksetzen der Symbolleisten.

Optionen

Symbolleisten

Zeigt die in der Entwicklungsumgebung integrierten Symbolleisten sowie alle benutzerdefinierten Symbolleisten an. Symbolleisten, die in der Entwicklungsumgebung angezeigt werden, sind durch ein Häkchen links von ihnen auf dieser Registerkarte gekennzeichnet.

Anmerkung Die Menüleiste kann nicht ausgebledet werden. Sie kann nur zurückgesetzt werden.

Neu

Zeigt das Dialogfeld Neue Symbolleiste an, in dem Sie einen Namen für die neue Symbolleiste angeben können.

Umbenennen

Zeigt das Dialogfeld Symbolleiste umbenennen an, in dem Sie einen neuen Namen für eine Symbolleiste festlegen können. Der Befehl steht nur für benutzerdefinierte Symbolleisten zur Verfügung.

Löschen

Löscht eine benutzerdefinierte Symbolleiste aus einem Projekt.

Zurücksetzen

Macht alle Änderungen an einer integrierten Symbolleiste rückgängig und stellt den ursprünglichen Zustand wieder her. Der Befehl steht nur für integrierte Symbolleisten zur Verfügung.


Debug-Symbolleiste

Diese Symbolleiste enthält Schaltflächen, die Hyperlinks zu Menüelementen darstellen, die häufig im Debugging-Code verwendet werden.

Sie können folgendes tun:

  • Einmal auf eine Schaltfläche einer Symbolleiste klicken, um die Aktion dieser Schaltfläche auszuführen.

  • Die Symbolleiste an eine andere Position ziehen oder an einer Seite des Arbeitsbereichs positionieren.

  • Die Größe der Symbolleiste ändern. Wenn Sie sie verkürzen, werden die Schaltflächen in weiteren Zeilen positioniert, und die Größe der Symbolleiste ändert sich, damit die Schaltflächen Platz finden. Wenn die Schaltfläche aber länger als der Arbeitsbereich oder breiter als das Fenster ist, wird [image] angezeigt. Um alle Schaltflächen anzuzeigen, ändern Sie die Größe der Symbolleiste, oder ziehen Sie sie an eine andere Position.

Schaltflächen

Schaltfläche | Befehl | Beschreibung
 | Starten | Fügt den Debugger automatisch an und führt das aktive Dokument aus.
 | Starten ohne zu debuggen | Führt den Code aus, ohne den Debugger aufzurufen. Mit dieser Schaltfläche können Sie testen, ob der Debugger einen Einfluß auf einen Fehler hat, oder den Code in einigen Fällen schneller ausführen.
 | Unterbrechen | Hält die Ausführung aller Vorgänge in einer Debug-Sitzung vorübergehend an. Nur im Ausführungsmodus verfügbar.
 | Beenden | Stoppt die Ausführung des Dokuments im Programm. Im Halte- und Ausführungsmodus verfügbar.
 | Neu starten | Beendet eine Debug-Sitzung, erstellt des Dokuments erneut und startet dieses wieder von Anfang an. Im Halte- und Ausführungsmodus verfügbar.
 | Ausführen bis Cursor-Position | Im Haltemodus wird über diese Schaltfläche die Ausführung des Codes ab der aktuellen Anweisung bis zur gewählten Anweisung fortgesetzt. Die Anzeige für die aktuelle Ausführungszeile, , wird in der Kennzeichenleiste angezeigt. Im Entwurfsmodus wird der Debugger gestartet und der Code bis zur Cursor-Position ausgeführt.
 | Einzelschritt | Führt Code Anweisung für Anweisung aus und folgt der Ausführung zu Funktionsaufrufen.
 | Prozedurschritt | Führt die nächste Codezeile aus, folgt der Ausführung aber nicht durch Funktionsaufrufe.
 | Prozedur abschließen | Führt die verbleibenden Zeilen einer Funktion aus, in der sich der aktuelle Ausführungspunkt befindet.
 | Haltepunkt einfügen | Fügt an der Position des aktuellen Cursors einen Haltepunkt hinzu. Klicken Sie erneut auf die Schaltfläche, um den Haltepunkt zu löschen.
 | Haltepunkt aktivieren | Schaltet den gewählten Haltepunkt momentan aus, ohne ihn zu deaktivieren. Klicken Sie erneut auf die Schaltfläche, um den Punkt einzuschalten.
 | Alle Haltepunkte löschen | Löscht alle Haltepunkte im Projekt.
 | Haltepunkte | Zeigt das Dialogfeld Haltepunkte an, in dem Sie Haltepunkte hinzufügen und ändern können.
 | Direktfenster | Zeigt das Direktfenster an, in dem Sie Ausdrücke auswerten und einzelne Befehle ausführen können.
 | Autos-Fenster | Blendet das Autos-Fenster ein, um die Werte der Variablen anzuzeigen, die sich momentan innerhalb der aktuellen Prozedur im Bereich der aktuellen Ausführungszeile befinden.
 | Lokal-Fenster | Blendet das Lokal-Fenster ein, um die Variablen und ihre Werte für jede Prozedur im aktuellen Stack-Rahmen anzuzeigen.
 | Überwachungsfenster | Blendet das Überwachungsfenster ein, um die Werte ausgewählter Variablen oder Überwachungsausdrücke anzuzeigen.
 | Threads-Fenster | Blendet das Threads-Fenster ein, um alle Threads des aktuellen Prozesses und Informationen über diese anzuzeigen.
 | Aufrufliste | Blendet die Aufrufeliste ein, um eine Liste aller aktiven Prozeduren oder Stack-Rahmen des aktuellen Ausführungs-Threads anzuzeigen.
 | Laufende Dokumente | Blendet das Fenster Laufende Dokumente ein, das die Gruppe von Dokumenten anzeigt, die Sie gerade debuggen.
 | Prozesse | Blendet das Fenster Prozesse ein, in dem Sie einem aktiven Prozeß einen Debugger hinzufügen können, um ihn zu debuggen, oder in dem Sie eine Liste aller momentan angehängten Prozesse anzeigen können.


Standard-Symbolleiste

Die Standard-Symbolleiste enthält Schaltflächen, die dem schnellen Zugriff auf häufig benötigte Menüelemente dienen.

Sie können:

  • auf eine Schaltfläche klicken, um die Aktion auszuführen, die dieser Schaltfläche zugeordnet ist.

  • die Symbolleiste an eine andere Position ziehen, oder am Rand des Arbeitsbereichs ausrichten.

  • die Größe der Symbolleiste ändern. Wenn Sie die Symbolleiste verkürzen, werden die Schaltflächen auf mehrere Zeilen verteilt, so dass weiterhin alle Schaltflächen angezeigt werden. Ist die Symbolleiste hingegen länger, als der Arbeitsbereich oder das Fenster breit sind, werden

    angezeigt. Um alle Schaltflächen anzuzeigen, können Sie die Größe der Symbolleiste anpassen, oder sie an eine andere Position ziehen.

Schaltflächen

Schaltfläche | Bezeichnung | Beschreibung
 | Ausgewählte(s) Element(e) speichern | Speichert die gewählten Elemente im aktuellen Projekt.
 | Alle speichern | Speichert alle Dokumente und alle Dateien im externen Dateiprojekt.
 | Ausschneiden | Schneidet den markierten Text aus und überträgt ihn in die Zwischenablage.
 | Kopieren | Kopiert das markierte Steuerelement oder den markierten Text in die Zwischenablage.
 | Einfügen | Fügt den Inhalt der Zwischenablage an der aktuellen Position ein.
 | Rückgängig | Macht die letzte in der Liste markierte Aktion rückgängig. Für jedes Dokument können unbegrenzt viele Aktionen rückgängig gemacht werden. Sie können aus der Liste diejenige Aktion auswählen, die rückgängig gemacht werden soll.
 | Wiederherstellen | Stellt die letzte in der Liste markierte Aktion wieder her. Für jedes Dokument können unbegrenzt viele Aktionen wiederhergestellt werden. Sie können aus der Liste diejenige Aktion auswählen, die wiederhergestellt werden soll.
 | Starten | Führt das aktive Dokument aus.
 | Unterbrechen | Hält die Ausführung aller Prozesse in einem Debug-Lauf zeitweilig an. Steht nur zur Laufzeit zur Verfügung.
 | Beenden | Beendet das Ausführen des aktiven Dokuments oder der aktuellen Anwendung. Steht nur zur Laufzeit zur Verfügung.
 | Suchen und Ersetzen | Zeigt das Suchfenster an, mit dem Sie das aktive Dokument oder ein anderes Toolfenster nach dem Text durchsuchen können, der im Textfeld Suchen angegeben ist. In der Liste können sich bis zu 16 Einträge befinden. Ein roter Punkt links des Textes weist darauf hin, dass im Dialogfeld Suchen und Ersetzen bestimmte Optionen aktiviert sind.
 | Suchen | Sucht den Text im Textfeld, wenn die EINGABETASTE gedrückt wird. Sie können auch einen Suchtext aus der Liste auswählen.
 | Projekt-Explorer | Zeigt den Projekt-Explorer an, in dem eine hierarchische Liste der zur Zeit geöffneten Projekte sowie deren Inhalte angezeigt werden.
 | Fenster Eigenschaften | Zeigt das Fenster Eigenschaften an, in dem Sie die Eigenschaften des zur Zeit markierten Objekts sehen können.
 | Werkzeugsammlung | Zeigt die Werkzeugsammlung an, die ActiveX- und systeminterne HTML-Steuerelemente enthält.
Das Symbol ändert sich in das Symbol des letzten Fensters, das gewählt war. | Ansicht <Fenster> | Zeigt eine Liste der Fenster an, die angezeigt werden können.
 | Fensterschnittstelle speichern/laden | Ermöglicht das Anwenden einer gespeicherten Ansicht für den Desktop bzw. das Speichern einer Desktop-Konfiguration.


Symbolleiste Fensterschnittstelle

Diese Symbolleiste enthält gängige Befehle zum Manipulieren der Dokumentfenster in Ihrem Projekt.

Sie können folgendes tun:

  • Einmal auf eine Schaltfläche einer Symbolleiste klicken, um die Aktion dieser Schaltfläche auszuführen.

  • Die Symbolleiste an eine andere Position ziehen oder an einer Seite des Arbeitsbereichs positionieren.

  • Die Größe der Symbolleiste ändern. Wenn Sie sie verkürzen, werden die Schaltflächen in weiteren Zeilen positioniert, und die Größe der Symbolleiste ändert sich, damit die Schaltflächen Platz finden. Wenn die Schaltfläche aber länger als der Arbeitsbereich oder breiter als das Fenster ist, wird [image] angezeigt. Um alle Schaltflächen anzuzeigen, ändern Sie die Größe der Symbolleiste, oder ziehen Sie sie an eine andere Position.

Schaltflächen

Schaltfläche | Name | Beschreibung
 | Fensterschnittstelle speichern/laden | Ermöglicht es Ihnen, Ihrem Desktop eine gespeicherte Ansicht zuzuweisen oder eine Desktop-Konfiguration zu speichern.
 | Teilen | Deaktivert/Aktiviert die horizontale Teilung des geöffneten Dokumentfensters in zwei Hälften.
 | Überlappend | Ordnet alle geöffneten Dokumentfenster in Ihrem Projekt so an, dass sie einander überlappen.
 | Untereinander | Ordnet alle geöffneten Dokumentfenster in Ihrem Projekt horizontal untereinander an.
 | Nebeneinander | Ordnet alle geöffneten Dokumentfenster in Ihrem Projekt nebeneinander an.
 | Ganzer Bildschirm | Erweitert das aktuelle Dokumentfenster und blendet alle Funktionen des Hauptanwendungsfensters, darunter alle Symbolleisten, die Titelleiste, alle Werkzeugfenster, die Statusleiste und die Task-Leiste von Windows, aus.


Tastenkombinationen

Es gibt alternativ zur Verwendung der Maus für die meisten Aktionen auch Tastenkombinationen.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Die Entwicklungsumgebung bietet Unterstützung für folgende Tastenkombinationen:

Tastenkombinationen zum Bearbeiten im Texteditor-Fenster

Tastenkombinationen zum Bewegen im Texteditor-Fenster

Tastenkombinationen im Debugger

Tastenkombinationen im Dokumentgliederungsfenster

Tastenkombinationen im Dialogfeld Suchen

Globale Tastenkombinationen

Tastenkombinationen im HTML-Editor (Entwurfsansicht)

Tastenkombinationen im HTML-Editor (Quellcodeansicht)

Tastenkombinationen im Objektkatalog

Tastenkombinationen im Projekt-Explorer

Tastenkombinationen im Eigenschaftenfenster

Tastenkombinationen in der Werkzeugsammlung


Tastenkombinationen im Debugger

Die folgenden Tastenkombinationen sind während des Debug-Vorgangs des Projekts gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen unter Umgebung, Tastatur ändern und erstellen.

To | Taste/Tastenkombination
Anzeigen der Dokumentation zum aktiven Fenster. | F1
Anzeigen eines Systemmenüs für das Anwendungsfenster. | ALT+LEERTASTE
Hinzufügen und Entfernen von Haltepunkten in den markierten Zeilen. | F9
Löschen aller Haltepunkte. | STRG+UMSCHALTEN+F9
Deaktivieren eines Haltepunktes. | STRG+F9
Anzeigen des Auto-Fensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+A
Anzeigen des Dialogfelds Haltepunkte. | STRG+B
Anzeigen des Aufruflistenfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+C
Anzeigen des Direktfensters und Bewegen des Cursors in dieses Fenster. Steht nicht zur Verfügung, wenn Sie sich im Texteditor-Fenster befinden. | STRG+ALT+I
Anzeigen des Lokalfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+L
Anzeigen des Fensters Laufende Dokumente und Bewegen des Cursors in dieses Fenster. | STRG+ALT+R
Hinzufügen einer Überwachung für das aktuell markierte Wort. | UMSCHALTEN+F9
Anzeigen der nächsten Anweisung. | ALT+* auf der Zehnertastatur
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Anzeigen des Thread-Fensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+H
Anzeigen des Überwachungsfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+W
Beenden der Debug-Sitzung. | UMSCHALTEN+F5
Ausführen des Codes um jeweils die nächste Anweisung, wobei die Ausführung auch in Funktionsaufrufe fortgesetzt wird (Einzelschritt). | F11
Ausführen des Codes um jeweils die nächste Anweisung, wobei die Ausführung nicht in Funktionsaufrufe fortgesetzt wird (Prozedurschritt). | F10
Ausführen der verbleibenden Zeilen einer Funktion, in der sich die aktuelle Ausführungsstelle befindet (Prozedur abschließen). | UMSCHALTEN+F11
Erneutes Starten einer Debug-Sitzung. | STRG+UMSCHALTEN+F5
Fortsetzen der Ausführung des Codes von der aktuellen Anweisung bis an die markierte Anweisung (Ausführen bis Cursor-Position). | STRG+F10
Ausführen des aktiven Dokuments. | F5
Ausführen des Codes ohne Aufruf des Debuggers (Starten ohne zu debuggen). | STRG+F5
Nächste Anweisung festlegen. | STRG+UMSCHALTEN+F10
Anhalten der Ausführung (Unterbrechen). | STRG+PAUSE


Tastenkombinationen im Dokumentgliederungsfenster

Die folgenden Tastenkombinationen sind im Dokumentgliederungsfenster gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen unter Umgebung, Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Schließen des aktiven Dokuments. Falls alle Fenster geschlossen sind, Schließen der Entwicklungsumgebung. | ALT+F4
Kopieren des markierten Textes in die Zwischenablage. | STRG+C oder STRG+EINFG
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Anzeigen eines Systemmenüs für das Anwendungsfenster. | ALT+LEERTASTE
Anzeigen der Dokumentation. | F1
Anzeigen des Dokumentgliederungsfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+T
Anzeigen des Objektkatalogs und Bewegen des Cursors in dieses Fenster (außer in Editoren stets verfügbar). | STRG+ALT+B
Anzeigen des Ausgabefensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+O
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Bewegen zum Ende des aktuellen Fensters. | STRG+BILD-AB
Bewegen zum Anfang des aktuellen Fensters. | STRG+BILD-AUF
Einfügen eines Zeilenwechsels. | STRG+EINGABETASTE
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Wechseln zwischen den letzten beiden aktiven Fenstern. | ALT+F6
Bewegen des Cursors an das Ende des Fensters. | STRG+ENDE
Bewegen des Cursors an den Anfang des Fensters. | STRG+POS1


Tastenkombinationen im Dialogfeld "Suchen"

Tastenkombinationen im Dialogfeld “Suchen„

Die folgenden Tastenkombinationen sind im Dialogfeld Suchen gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Löschen der Einträge in den Feldern Suchen und Ersetzen und aller Optionen, so dass Sie eine neue Suchanfrage erstellen können. | Halten Sie ALT gedrückt und drücken Sie dann F3 und N.
Schließen des Dialogfeldes Suchen und Wechseln des Fokus in das Editor-Fenster. | ESC
Anzeigen der Dokumentation zum Dialogfeld Suchen. | F1
Anzeigen des Dialogfeldes Suchen, so dass Sie den angegebenen Text ersetzen können. | STRG+H
Anzeigen des Dialogfeldes Suchen und Übernehmen des Wortes, in dem sich der Cursor befindet, in das Feld Suchen. | STRG+F
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Suchen des nächsten Vorkommens des im Dialogfeld Suchen angegebenen Textes. | F3
Suchen des vorherigen Vorkommens des im Dialogfeld Suchen angegebenen Textes. | UMSCHALTEN+F3
Suchen des vorherigen Vorkommens des aktuellen Wortes oder des markierten Textes. | STRG+UMSCHALTEN+F3
Suchen des nächsten Vorkommens des aktuellen Wortes oder des markierten Textes. | STRG+F3
Beachtung der Groß- und Kleinschreibung im Kombinationsfeld Suchen. | Halten Sie ALT gedrückt und drücken Sie dann F3 und C.
Bewegen des Cursors in das Feld Suchen auf der Standard-Symbolleiste. | STRG+UMSCHALTEN+F
Suche in umgekehrter Richtung. | Halten Sie ALT gedrückt und drücken Sie dann F3 und B.
Aktivieren der Option Nur ganzes Wort suchen im Dialogfeld Suchen. | Halten Sie ALT gedrückt und drücken Sie dann F3 und W.
Abbrechen eines Suchvorgangs. | Halten Sie ALT gedrückt und drücken Sie dann F3 und S.
Aktivieren des Modus Reguläre Ausdrücke, so dass Sonderzeichen verwendet werden können. | Halten Sie ALT gedrückt und drücken Sie dann F3 und R.


Globale Tastenkombinationen

Die folgenden Tastenkombinationen sind in allen Fenstern der Entwicklungsumgebung gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen unter Umgebung, Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Aktivieren des markierten Elements und Wechseln in den Bearbeitungsmodus. In einem Editor wird der Objektkatalog angezeigt. | F2
Schließen eines Menüs oder Dialogfeldes, Abbrechen einer Operation oder Wechseln des Fokus in das aktuelle Dokumentfenster. | ESC
Schließen eines Werkzeugfensters. | UMSCHALTEN+ESC
Schließen des aktuellen untergeordneten MDI-Fensters. | STRG+F4
Erstellen einer neuen Datei. | STRG+UMSCHALTEN+N
Wechseln durch die untergeordneten MDI-Fenster, jeweils ein Fenster weiter. | STRG+F6 oder STRG+TAB
Anzeigen eines Systemmenüs für ein untergeordnetes MDI-Fenster. | ALT+BINDESTRICH (-)
Anzeigen eines Systemmenüs für das Anwendungsfenster. | ALT+LEERTASTE
Anzeigen des Auto-Fensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+A
Anzeigen des Aufruflistenfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+C
Anzeigen des Dokumentgliederungsfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+T
Anzeigen des Dialogfeldes Suchen. | STRG+H
Anzeigen des Dialogfeldes Suchen. Falls keine Suchkriterien definiert sind, wird das Wort, in dem sich der Cursor befindet, in das Feld Suchen übernommen. | STRG+F
Anzeigen des Direktfensters und Bewegen des Cursors in dieses Fenster. Steht nicht zur Verfügung, wenn Sie sich im Texteditor-Fenster befinden. | STRG+ALT+I
Anzeigen des Lokalfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+L
Anzeigen des Objektkatalogs und Bewegen des Cursors in dieses Fenster (außer in Editoren stets verfügbar). | STRG+ALT+B
Anzeigen des Ausgabefensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+O
Anzeigen des Projekt-Explorers und Bewegen des Cursors in dieses Fenster. | STRG+ALT+J
Anzeigen des Eigenschaftenfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+P
Anzeigen des Eigenschaftenfensters. | F4
Anzeigen des Eigenschaftenseitenfensters. | UMSCHALTEN+F4 oder ALT+EINGABETASTE
Anzeigen des Fensters Laufende Dokumente und Bewegen des Cursors in dieses Fenster. | STRG+ALT+D
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Anzeigen des Thread-Fensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+H
Anzeigen der Werkzeugsammlung und Bewegen des Cursors in die Werkzeugsammlung. | STRG+ALT+X
Anzeigen des Überwachungsfensters und Bewegen des Cursors in dieses Fenster. | STRG+ALT+W
Suchen des nächsten Vorkommens des angegebenen Textes. | F3
Wechsel in das nächste Werkzeugfenster. | ALT+F6
Wechsel in das vorherige Werkzeugfenster. | ALT+UMSCHALTEN+F6
Wechsel in das nächste untergeordnete MDI Fenster. | STRG+UMSCHALTEN+F6
Wechsel in das vorherige untergeordnete MDI Fenster. | STRG+UMSCHALTEN+TAB
Wechsel zur nächsten Seite mit Elementen auf der aktuellen Registerkarte, falls mehr Elemente vorhanden sind, als gleichzeitig angezeigt werden können. | BILD-AUF
Wechsel zur vorherigen Seite mit Elementen auf der aktuellen Registerkarte, falls mehr Elemente vorhanden sind, als gleichzeitig angezeigt werden können. | BILD-AB
Erstellen einer neuen Datei. | STRG+UMSCHALTEN+N
Öffnen einer Datei. | STRG+UMSCHALTEN+O
Drucken des gesamten Dokuments oder eines Teiles davon. | STRG+P
Ausführen einer Anwendung mit dem Debugger. | F5
Speichern aller Dateien, Projekte und Dokumente. | STRG+UMSCHALTEN+S
Speichern des aktuellen Dokuments oder des markierten Elements bzw. der markierten Elemente. | STRG+S
Alles markieren. | STRG+A
Unterbrechen einer ausgeführten Anwendung. | STRG+PAUSE

Die folgenden Tastenkombinationen sind in allen Windows-basierten Anwendungen gültig:

Aktion | Taste/Tastenkombina-tion
Schließen des aktiven Dokuments. Falls alle Fenster geschlossen sind, Schließen der Entwicklungsumgebung. | ALT+F4
Kopieren der Markierung in die Zwischenablage. | STRG+C oder STRG+EINFG
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Anzeigen der Dokumentation. | F1
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Wechseln zwischen den letzten beiden aktiven Fenstern. | ALT+F6
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Wiederherstellen der zuvor rückgängig gemachten Aktion (Wiederherstellen). | STRG+Y oder STRG+UMSCHALTEN+Z
Rückgängigmachen des letzten Bearbeitungsschrittes in der aktuellen Zeile. | STRG+Z oder ALT+RÜCKTASTE


Tastenkombinationen im HTML-Editor (Entwurfsansicht)

In der Entwurfsansicht bietet der HTML-Editor Tastenkombinationen für zahlreiche Operationen. In den folgenden Tabellen werden die editorspezifischen Tastenkombinationen aufgeführt, nach Funktionen getrennt:

  • Navigieren

  • Markieren

  • Bearbeiten

  • Formatieren und Positionieren (HTML)

Anmerkung Einige Tastenkombinationen weichen in der Entwurfsansicht von denen ab, die in der Quellcodeansicht gültig sind.

Navigieren

Aktion | Taste/Tastenkombination
Bewegen des Cursors um ein Zeichen nach links. | NACH-LINKS
Bewegen des Cursors um ein Zeichen nach rechts. | NACH-RECHTS
Bewegen des Cursors nach links zum Anfang eines Wortes. | STRG+NACH-LINKS
Bewegen des Cursors nach rechts zum Anfang eines Wortes. | STRG+NACH-RECHTS
Bewegen des Cursors an den Anfang der Zeile. | POS1
Bewegen des Cursors an das Ende der Zeile. | ENDE
Bewegen des Cursors um eine Zeile nach oben. | NACH-OBEN-TASTE
Bewegen des Cursors um eine Zeile nach unten. | NACH-UNTEN-TASTE
Bildlauf um eine Zeile nach oben. | STRG+NACH-OBEN-TASTE
Bildlauf um eine Zeile nach unten. | STRG+NACH-UNTEN-TASTE
Bildlauf um eine Seite nach oben (um die Anzahl der Zeilen, die im aktuellen Fenster sichtbar sind.) | BILD-AUF
Bildlauf um eine Seite nach unten (um die Anzahl der Zeilen, die im aktuellen Fenster sichtbar sind.) | BILD-AB
Bewegen des Cursors an den Anfang des Dokuments. | STRG+POS1
Bewegen des Cursors an das Ende des Dokuments. | STRG+ENDE

Markieren

Aktion | Taste/Tastenkombination
Erweitern der Markierung um ein Zeichen nach links. | UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Zeichen nach rechts. | UMSCHALTEN+NACH-RECHTS
Erweitern der Markierung um ein Wort nach links. | STRG+UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Wort nach rechts. | STRG+UMSCHALTEN+NACH-RECHTS
Erweitern der Markierung an den Anfang der aktuellen Zeile oder an den Anfang des Textes in dieser Zeile. | UMSCHALTEN+POS1
Erweitern der Markierung bis an das Ende der Zeile. | UMSCHALTEN+ENDE
Erweitern der Markierung um eine Zeile nach oben. | UMSCHALTEN+NACH-OBEN-TASTE
Erweitern der Markierung um eine Zeile nach unten. | UMSCHALTEN+NACH-UNTEN-TASTE
Erweitern der Markierung um eine Seite nach oben. | UMSCHALTEN+BILD-AUF
Erweitern der Markierung um eine Seite nach unten. | UMSCHALTEN+BILD-AB
Erweitern der Markierung bis an den Anfang des Dokuments. | STRG+UMSCHALTEN+POS1
Erweitern der Markierung bis an das Ende des Dokuments. | STRG+UMSCHALTEN+ENDE
Markieren des aktuellen Wortes. | STRG+W
Markieren des gesamten Dokuments. | STRG+A
Bewegen der Markierung in das nächste Element auf Blockebene. | UMSCHALTEN+TAB*
Bewegen der Markierung in das vorherige Element auf Blockebene. | TAB*

* Abweichung in der Quellcodeansicht.

Bearbeiten

Aktion | Taste/Tastenkombination
Umschalten zwischen Einfüge-Modus und Überschreiben-Modus. | EINFG
Löschen der Markierung, oder, falls keine Markierung vorhanden ist, des Zeichens links des Cursors. | RÜCKTASTE
Löschen des markierten Textes (ohne Übertragen in die Zwischenablage). | ENTF
Löschen des Wortes rechts der Einfügemarke. | STRG+ENTF
Löschen des Wortes links der Einfügemarke. | STRG+RÜCKTASTE
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Kopieren des markierten Textes in die Zwischenablage. | STRG+C oder STRG+EINFG
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Rückgängig machen des letzten Bearbeitungsschrittes in der aktuellen Zeile. | STRG+Z oder ALT+RÜCKTASTE
Wiederherstellen der zuvor rückgängig gemachten Aktionen. | STRG+Y oder ALT+UMSCHALTEN+RÜCKTASTE
Einziehen der markierten Zeilen um einen Tabstop nach rechts. Sie können die Einstellungen für die Tabstops im Dialogfeld Tabulatoroptionen festlegen. | STRG+T*
Ausrücken der markierten Zeilen um einen Tabstopp nach links. | STRG+UMSCHALTEN+TAB*
Bearbeiten des Skripts für das markierte Element. | F7
Anzeigen des Eigenschaftenseitenfensters für das markierte Element. | UMSCHALTEN+F4, ALT+EINGABETASTE
Anzeigen des Kontextmenüs | UMSCHALTEN+F10

* Abweichung in der Quellcodeansicht.

Formatieren und Positionieren (HTML)

Aktion | Taste/Tastenkombination
Fettschrift für aktuelle Markierung Ein- und Ausschalten. | STRG+B
Kursivschrift für aktuelle Markierung Ein- und Ausschalten. | STRG+ I
Unterstreichung für aktuelle Markierung Ein- und Ausschalten. | STRG+U
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Lesezeichens. | STRG+UMSCHALTEN+L
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Hyperlinks. | STRG+L
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Image-Tags. | STRG+UMSCHALTEN+W
Absolute Positionierung für markiertes Element Ein- und Ausschalten. | STRG+K
Ein- und Ausschalten des absoluten Modus. | STRG+G*
Sperren oder Aufheben der Sperre des markierten Elements (falls es nicht absolut positioniert ist). | STRG+UMSCHALTEN+K
Ein- und Ausschalten der Ausrichtung am Raster. | STRG+UMSCHALTEN+G
Zusammenfassen der markierten Elemente in einer Teilung. | STRG+J*
Ein- und Ausschalten der Details für das markierte Element. | STRG+UMSCHALTEN+Q*
Ein- und Ausschalten der sichtbaren Rahmen. | STRG+Q*

* Abweichung in der Quellcodeansicht.


Tastenkombinationen im HTML-Editor (Quellcodeansicht)

In der Quellcodeansicht bietet der HTML-Editor Tastenkombinationen für zahlreiche Operationen. In den folgenden Tabellen werden die editorspezifischen Tastenkombinationen aufgeführt, nach Funktionen getrennt:

  • Navigieren

  • Markieren

  • Bearbeiten

  • Anweisungsabschluss

  • Einfügen von HTML-Objekten

Navigieren

Aktion | Taste/Tastenkombination
Bewegen des Cursors um ein Zeichen nach links. | NACH-LINKS
Bewegen des Cursors um ein Zeichen nach rechts. | NACH-RECHTS
Bewegen des Cursors nach links zum Anfang eines Wortes. | STRG+NACH-LINKS
Bewegen des Cursors nach rechts zum Anfang eines Wortes. | STRG+NACH-RECHTS
Bewegen des Cursors an den Anfang der Zeile. | POS1
Bewegen des Cursors an das Ende der Zeile. | ENDE
Bewegen des Cursors um eine Zeile nach oben. | NACH-OBEN-TASTE
Bewegen des Cursors um eine Zeile nach unten. | NACH-UNTEN-TASTE
Bildlauf um eine Zeile nach oben. | STRG+NACH-OBEN-TASTE
Bildlauf um eine Zeile nach unten. | STRG+NACH-UNTEN-TASTE
Bildlauf um eine Seite nach oben (um die Anzahl der Zeilen, die im aktuellen Fenster sichtbar sind.) | BILD-AUF
Bildlauf um eine Seite nach unten (um die Anzahl der Zeilen, die im aktuellen Fenster sichtbar sind.) | BILD-AB
Bewegen des Cursors an den Anfang des Dokuments. | STRG+POS1
Bewegen des Cursors an das Ende des Dokuments. | STRG+ENDE
Anzeigen des Feldes Gehe zu Zeile, um den Cursor in eine angegebene Zeile zu positionieren. | STRG+G*
Bewegen zur zugehörigen Klammer ( } ). Diese Funktion ist sehr hilfreich, wenn Sie Skript mit Hilfe von JavaScript (ECMAScript) erstellen. | STRG+]
Setzen oder Löschen eines Lesezeichens. | Halten Sie STRG gedrückt und drücken Sie dann KK.
Springen an das nächste Lesezeichen. | Halten Sie STRG gedrückt und drücken Sie dann KN.
Springen an das vorherige Lesezeichen. | Halten Sie STRG gedrückt und drücken Sie dann KP.
Entfernen aller Lesezeichen. | Halten Sie STRG gedrückt und drücken Sie dann KL.

* Abweichung in der Entwurfsansicht.

Markieren

Aktion | Taste/Tastenkombination
Erweitern der Markierung um ein Zeichen nach links. | UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Zeichen nach rechts. | UMSCHALTEN+NACH-RECHTS
Erweitern der Markierung um ein Wort nach links. | STRG+UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Wort nach rechts. | STRG+UMSCHALTEN+NACH-RECHTS
Erweitern der Markierung an den Anfang der aktuellen Zeile oder an den Anfang des Textes in dieser Zeile. | UMSCHALTEN+POS1
Erweitern der Markierung bis an das Ende der Zeile. | UMSCHALTEN+ENDE
Erweitern der Markierung um eine Zeile nach oben. | UMSCHALTEN+NACH-OBEN-TASTE
Erweitern der Markierung um eine Zeile nach unten. | UMSCHALTEN+NACH-UNTEN-TASTE
Erweitern der Markierung um eine Seite nach oben. | UMSCHALTEN+BILD-AUF
Erweitern der Markierung um eine Seite nach unten. | UMSCHALTEN+BILD-AB
Erweitern der Markierung bis an den Anfang des Dokuments. | STRG+UMSCHALTEN+POS1
Erweitern der Markierung bis an das Ende des Dokuments. | STRG+UMSCHALTEN+ENDE
Erweitern der Markierung bis zur zugehörigen Klammer ( } ). Diese Funktion ist sehr hilfreich, wenn Sie Skript mit Hilfe von JavaScript (ECMAScript) erstellen. | STRG+UMSCHALTEN+]
Markieren des aktuellen Wortes. | STRG+W
Markieren des gesamten Dokuments. | STRG+A
Umschalten zwischen vertikalem und horizontalem Markierungsmodus. | Halten Sie STRG gedrückt und drücken Sie dann RS.

Bearbeiten

Aktion | Taste/Tastenkombination
Umschalten zwischen Einfüge-Modus und Überschreiben-Modus. | EINFG
Löschen der Markierung, oder, falls keine Markierung vorhanden ist, des Zeichens links des Cursors. | RÜCKTASTE
Löschen des markierten Textes (ohne Übertragen in die Zwischenablage). | ENTF
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | CTRL+M
Löschen der markierten Zeile ohne Übertragen in die Zwischenablage. | STRG+UMSCHALTEN+M
Löschen des Wortes rechts der Einfügemarke. | STRG+ENTF
Löschen des Wortes links der Einfügemarke. | STRG+RÜCKTASTE
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Kopieren des markierten Textes in die Zwischenablage. | STRG+C oder STRG+EINFG
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Vertauschen der Buchstaben vor und hinter der Einfügemarke. Beispiel: aus AC|BD wird AB|CD. | STRG+T
Vertauschen des aktuellen und des nächsten Wortes, oder vertauschen der Wörter um Operatoren, z.B. Apfel = Obst zu Obst = Apfel | STRG+UMSCHALTEN+T
Vertauschen der aktuellen und der vorherigen Zeile. | ALT+UMSCHALTEN+T
Umwandeln des markierten Textes in Kleinbuchstaben. | STRG+U
Umwandeln des markierten Textes in Großbuchstaben. | STRG+UMSCHALTEN+U
Rückgängig machen des letzten Bearbeitungsschrittes in der aktuellen Zeile. | STRG+Z oder ALT+RÜCKTASTE
Wiederherstellen der letzten rückgängig gemachten Aktion. | STRG+Y oder ALT+UMSCHALTEN+RÜCKTASTE
Anzeigen oder Ausblenden der Leerstellen. | Halten Sie STRG gedrückt und drücken Sie dann RW.
Ersetzen der Leerzeichen durch Tabulatoren im markierten Text. | STRG+Q*
Ersetzen der Tabulatoren durch Leerzeichen im markierten Text. | STRG+UMSCHALTEN+Q*
Einziehen der markierten Zeilen um einen Tabstop nach rechts. Sie können die Einstellungen für die Tabstops im Dialogfeld Tabulatoroptionen festlegen. | TAB*
Ausrücken der markierten Zeilen um einen Tabstop nach links. | UMSCHALTEN+TAB*

* Abweichung in der Entwurfsansicht

Anweisungsabschluss

Auflisten der Mitgliedselemente der aktuellen Klasse bei Anweisungsabschluss bei der Bearbeitung von Skripts. | STRG+J*
Bewegen um eine Seite nach oben in der Anweisungsabschlussliste. | STRG+BILD-AUF
Bewegen um eine Seite nach unten in der Anweisungsabschlussliste. | STRG+BILD-AB
Bewegen an den Anfang der Anweisungsabschlussliste. | STRG+POS1
Bewegen an das Ende der Anweisungsabschlussliste. | STRG+ENDE
Einfügen des aktuell markierten Wortes aus der Anweisungsabschlussliste. | TAB
Automatisches Vervollständigen des aktuellen Wortes. Wenn der Wortanfang nicht eindeutig ist, wird die Anweisungsabschlussliste angezeigt. | STRG+LEERTASTE

* Abweichung in der Entwurfsansicht.

Einfügen von HTML-Objekten

Aktion | Taste/Tastenkombination
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Lesezeichens. | STRG+UMSCHALTEN+L
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Hyperlinks. | STRG+L
Anzeigen eines Dialogfeldes zum Einfügen eines HTML-Image-Tags. | STRG+UMSCHALTEN+W


Tastenkombinationen im Objektkatalog

Die folgenden Tastenkombinationen sind im Objektkatalog gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen unter Umgebung, Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Schließen des Objektkatalogs. | UMSCHALTEN+ESC
Kopieren der aktuellen Markierung in die Zwischenablage. Anschließend können Sie den Inhalt der Zwischenablage in den Code einfügen. | STRG+C
Anzeigen einer Liste der zur Zeit gewählten Bibliotheken und Pakete. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste P.
Anzeigen der Dokumentation zum Objektkatalog. | STRG+F1
Anzeigen der Dokumentation zum markierten Mitgliedselement. | F1
Anzeigen der Einträge, die den Text im Feld Klassen und Elemente filtern am Anfang des Namens aufweisen. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste B.
Anzeigen und Ausblenden einer oder mehrerer Klassen im markierten Paket oder der Bibliothek im Bereich Klassen und Elemente. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste C.
Anzeigen des Dialogfeldes Gruppieren und sortieren, in dem Sie benutzerdefinierte Gruppierungen anlegen und den Inhalt des Bereichs Elemente sortieren können. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste G.
Anzeigen und Ausblenden der Mitgliedselemente der gewählten Klasse im Bereich Klassen und Elemente. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste M.
Anzeigen des Dialogfeldes Pakete/ Bibliothe-ken auswählen, in dem Sie die Pakete bzw. Bibliotheken auswählen können, deren Inhalte angezeigt werden sollen. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste S.
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Erweitern eines Knotens, falls dieser erweiterbar ist und der Quellcode nicht zur Verfügung steht. | EINGABETASTE
Wechseln zu der Definition des markierten Mitgliedselementes, wenn die Quelle zur Verfügung steht. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste D oder die EINGABETASTE.
Bewegen des Fokus auf das Dropdown-Steuerelement Filter. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste F.
Bewegen zur nächsten Schaltfläche in der Symbolleiste des Objektkatalogs. | TAB
Bewegen zum nächsten Bereich im Objektkatalog. | TAB oder F6
Bewegen zur vorherigen Schaltfläche in der Symbolleiste des Objektkatalogs. | UMSCHALTEN+TAB
Bewegen zum vorherigen Bereich im Objektkatalog. | UMSCHALTEN+TAB oder UMSCHALTEN+F6
Anzeigen und Ausblenden der versteckten Mitgliedselemente im Objektkatalog für jede Klasse. Versteckte Mitgliedselemente sind solche, bei denen keine Verwendung durch den Programmierer des wiederverwendbaren Objekts vorgesehen ist. Diese Mitgliedselemente werden normalerweise im Objektkatalog nicht angezeigt. | Drücken Sie ALT und F2, lassen Sie die Tasten los, und drücken Sie dann die Taste H.


Tastenkombinationen im Projekt-Explorer

Die folgenden Tastenkombinationen sind im Projekt-Explorer gültig.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombina-tion
Anzeigen der Dokumentation zum Projekt-Explorer. | F1
Schließen des Projekt-Explorer-Fensters. | UMSCHALTEN+ESC
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Erweitern einer Liste und anschließendes Auswählen eines untergeordneten Eintrags in der Liste. | NACH-RECHTS
Bewegen in der Liste nach unten von Projekt zu Projekt. | TAB
Bewegen in der Liste um einen Eintrag nach unten. | NACH-UNTEN-TASTE
Bewegen der Einfügemarke an den Anfang der nächsten Zeile. | UMSCHALTEN+EINGABETASTE
Bewegen in der Liste um einen Eintrag nach oben. | NACH-OBEN-TASTE
Bewegen in der Liste nach oben von Projekt zu Projekt. | UMSCHALTEN+TAB
Öffnen des Designers. | UMSCHALTEN+F7
Öffnen der in der Liste markierten Datei oder Einblenden und Ausblenden der Liste, um deren Untereinträge anzuzeigen. | EINGABETASTE
Öffnen des Editors für die markierte Datei. | F7
Markieren eines Eintrags in der Liste und anschließendes Bewegen nach oben um jeweils einen Eintrag. Bei jedem Tastendruck auf die NACH-LINKS-TASTE erfolgt ein Schritt, bis die Liste vollständig durchlaufen wurde und ausgeblendet wird. | NACH-LINKS
Auswählen der ersten Datei in der Liste. | POS1
Auswählen der letzten Datei in der Liste. | ENDE


Tastenkombinationen im Eigenschaftenfenster

Die folgenden Tastenkombinationen sind gültig, wenn die Eigenschaftenliste im Eigenschaftenfenster den Fokus hat.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen unter Umgebung, Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Anzeigen der Dokumentation zum Eigenschaftenfenster. | STRG+F1
Schließen eines Knotens in der Eigenschaftenliste. | NACH-LINKS oder (-)
Erweitern eines Knotens in der Eigenschaftenliste. | NACH-RECHTS oder (+)
Schließen des Projektfensters. | UMSCHALTEN+ESC
Erweitern eines Knotens, so dass alle darunterbefindlichen Elemente in der Eigenschaftenliste angezeigt werden. | + auf der Zehnertastatur
Ausblenden eines Knotens in der Eigenschaftenliste. | - auf der Zehnertastatur
Bewegen nach unten in der Eigenschaftenliste, jeweils um eine Seite. | BILD-AB
Bewegen nach oben in der Eigenschaftenliste, jeweils um eine Seite. | BILD-AUF
Bewegen nach unten in der Eigenschaftenliste, jeweils um einen Eintrag. | NACH-UNTEN-TASTE
Bewegen nach oben in der Eigenschaftenliste, jeweils um einen Eintrag. | NACH-OBEN-TASTE
Verschieben der Einfügemarke zwischen den Feldern Eigenschaft, Einstellung und Objekt. | TAB
Bewegen zur ersten Eigenschaft in der Liste. | POS1
Bewegen zur letzten Eigenschaft in der Liste. | ENDE
Bewegen zur nächsten Eigenschaft in der Liste, die mit diesem alphanumerischen Zeichen beginnt. | STRG+UMSCHALTEN+alphanumerisches Zeichen

Die folgenden Tastenkombinationen sind gültig, wenn das Feld Einstellungen für eine Eigenschaft im Eigenschaftenfenster den Fokus hat.

Aktion | Taste/Tastenkombination
Verwerfen der vorgenommenen Änderung. | ESC
Kopieren des markierten Textes in die Zwischenablage. | STRG+C oder STRG+EINFG
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Löschen des markierten Textes (ohne Übertragen in die Zwischenablage). | ENTF
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Verschieben des Fokus zwischen Feld Objekt, der aktiven Registerkarte Eigenschaften, einer Eigenschaft und dem Wert der Eigenschaft. | TAB
Bewegen zur nächsten Eigenschaft in der Liste, die mit diesem alphanumerischen Zeichen beginnt. | STRG+UMSCHALTEN+alphanumerisches Zeichen
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Wechseln des Fokus zwischen Feld Objekt und der aktiven Registerkarte Eigenschaft. | UMSCHALTEN+TAB
Rückgängig machen des letzten Bearbeitungsschrittes. | STRG+Z oder ALT+RÜCKTASTE


Tastenkombinationen zum Bearbeiten im Texteditor-Fenster

Die folgenden Tastenkombinationen dienen zum Bearbeiten des Codes im Texteditor-Fenster.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Rückgängig machen des letzten Bearbeitungsschrittes (Rückgängig). | STRG+Z oder ALT+RÜCKTASTE
Korrektes Einziehen der markierten Codezeilen auf Grundlage der umgebenden Zeilen. | ALT+F8
Vertauschen der aktuellen und der vorherigen Zeile. | ALT+UMSCHALTEN+T
Löschen der Markierung, oder, falls keine Markierung vorhanden ist, des Zeichens links des Cursors. | RÜCKTASTE
Suchen nach der zugehörigen Klammer. | STRG+]
Löschen des Wortes links der Einfügemarke. | STRG+RÜCKTASTE
Kopieren des markierten Textes in die Zwischenablage. | STRG+C oder STRG+EINFG
Löschen des Wortes rechts der Einfügemarke. | STRG+ENTF
Bewegen des Cursors an das Ende der Liste. | STRG+ENDE
Anzeigen des Dialogfeldes Suchen. Falls keine Suchkriterien definiert sind, wird das Wort, in dem sich der Cursor befindet, in das Feld Suchen übernommen. | STRG+F
Suchen nach dem nächsten Vorkommen des aktuellen Wortes oder der aktuellen Markierung. | STRG+F3
Anzeigen des Dialogfeldes Suchen, so dass Sie den angegebenen Text ersetzen können. | STRG+H
Bewegen des Cursors an den Anfang der Liste. | STRG+POS1
Anzeigen von QuickInfos. | STRG+I
Anzeigen einer Liste der Mitgliedselemente. | STRG+J
Erweitern der Markierung bis zur zugehörigen Klammer. | STRG+UMSCHALTEN+]
Erweitern der Markierung bis an das Ende des Dokuments. | STRG+UMSCHALTEN+ENDE
Suchen nach dem vorherigen Vorkommen des angegebenen Textes. | STRG+UMSCHALTEN+F3
Erweitern der Markierung bis an den Anfang der Datei. | STRG+UMSCHALTEN+POS1
Anzeigen der Parameterinfos. | STRG+UMSCHALTEN+I
Erweitern der Markierung um ein Wort nach links. | STRG+UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Wort nach rechts. | STRG+UMSCHALTEN+NACH-RECHTS
Vertauschen des aktuellen und des nächsten Wortes, oder vertauschen der Wörter um Operatoren, z.B. Apfel = Obst zu Obst = Apfel. | STRG+UMSCHALTEN+T
Umwandeln des markierten Textes in Großbuchstaben. | STRG+UMSCHALTEN+U
Markieren des aktuellen Wortes. | STRG+UMSCHALTEN+W
Automatisches Ergänzen des Wortes, das Sie gerade eingeben, sobald Sie genügend Zeichen eingegeben haben, dass der Editor das Wort eindeutig identifizieren kann. | STRG+LEERTASTE
Vertauschen der Buchstaben vor und hinter der Einfügemarke. | STRG+T
Umwandeln des markierten Textes in Kleinbuchstaben. | STRG+U
Bildlauf um eine Zeile nach oben. | STRG+NACH-OBEN-TASTE
Einfügen des Inhalts der Zwischenablage an der Position der Einfügemarke. | STRG+V oder UMSCHALTEN+EINFG
Ausschneiden des markierten Textes und Übertragen in die Zwischenablage. | STRG+X oder UMSCHALTEN+ENTF
Löschen der markierten Zeilen und Übertragen in die Zwischenablage (Ausschneiden). | STRG+M
Wiederherstellen einer zuvor rückgängig gemachten Aktion (Wiederherstellen). | STRG+Y oder STRG+UMSCHALTEN+Z oder ALT+UMSCHALTEN+RÜCKTASTE
Löschen des markierten Textes (ohne Übertragen in die Zwischenablage). | ENTF
Löschen der markierten Linien (ohne Übertragen in die Zwischenablage). | STRG+UMSCHALTEN+M
Anzeigen der nächsten überladenen Funktion, wenn das Fenster Parameterinformationen angezeigt wird. Bewegen des Cursors um einen Eintrag in der Liste nach unten, wenn die Liste der Mitgliedselemente angezeigt wird. | NACH-UNTEN-TASTE
Anzeigen der vorherigen überladenen Funktion, wenn das Fenster Parameterinformationen angezeigt wird. Bewegen des Cursors um einen Eintrag in der Liste nach oben, wenn die Liste der Mitgliedselemente angezeigt wird. | NACH-OBEN-TASTE
Anzeigen kontextabhängiger Informationen zu Funktionen, Anweisungen, Methoden, Eigenschaften und Ereignissen. | F1
Anzeigen von Hilfe zum Texteditor-Fenster. | STRG+F1
Suchen nach dem nächsten Vorkommen des im Dialogfeld Suchen angegebenen Textes. | F3
Anzeigen oder Ausblenden einer Tastenkombination. | Halten Sie STRG gedrückt und drücken Sie dann KH.
Ein- und Ausschalten der Lesezeichen für die aktuelle Zeile. | Halten Sie STRG gedrückt und drücken Sie dann KK.
Entfernen aller Lesezeichen. | Halten Sie STRG gedrückt und drücken Sie dann KL.
Bewegen der Einfügemarke an den Anfang des nächsten Lesezeichens. | Halten Sie STRG gedrückt und drücken Sie dann KN.
Bewegen der Einfügemarke an den Anfang des vorherigen Lesezeichens. | Halten Sie STRG gedrückt und drücken Sie dann KP.
Wechseln zwischen den Modi Feldauswahl und Stream-Auswahl. | Halten Sie STRG gedrückt und drücken Sie dann RS.
Anzeigen der Leerstellen. Dabei werden abwechselnd Leerzeichen und Tabulatormarken angezeigt und ausgeblendet. | Halten Sie STRG gedrückt und drücken Sie dann RW.
Umschalten zwischen Einfüge-Modus und Überschreiben-Modus. | EINFG
Erweitern der Markierung um eine Zeile nach unten. | UMSCHALTEN+NACH-UNTEN-TASTE
Erweitern der Markierung um eine Zeile nach oben. | UMSCHALTEN+NACH-OBEN-TASTE
Suchen nach dem vorherigen Vorkommen des im Dialogfeld Suchen angegebenen Textes. | UMSCHALTEN+F3
Erweitern der Markierung bis an den Anfang der aktuellen Zeile. | UMSCHALTEN+POS1
Erweitern der Markierung bis an das Ende der aktuellen Zeile. | UMSCHALTEN+ENDE
Erweitern der Markierung um ein Zeichen nach links. | UMSCHALTEN+NACH-LINKS
Erweitern der Markierung um ein Zeichen nach rechts. | UMSCHALTEN+NACH-RECHTS
Erweitern der Markierung um eine Seite nach unten | UMSCHALTEN+BILD-AB
Erweitern der Markierung um eine Seite nach oben. | UMSCHALTEN+BILD-AUF
Einziehen des markierten Textes um einen Tabstopp nach rechts. | TAB
Ausrücken des markierten Textes um einen Tabstopp nach links. | UMSCHALTEN+TAB


Tastenkombinationen zum Bewegen im Texteditor-Fenster

Die folgenden Tastenkombinationen dienen zum Navigieren im Texteditor-Fenster, das auch als Code-Editorfenster bezeichnet wird.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Anzeigen des Feldes Gehe zu Zeile, in dem Sie die Position im Texteditor angeben können, an die der Cursor gesetzt werden soll. | STRG+G
Bewegen an den unteren Rand des aktuellen Fensters. | STRG+BILD-AB
Bewegen an den oberen Rand des aktuellen Fensters. | STRG+BILD-AUF
Bewegen des Cursors um ein Wort nach links. | STRG+NACH-LINKS
Bewegen des Cursors um ein Wort nach rechts. | STRG+NACH-RECHTS
Bewegen des Cursors um ein Zeichen nach links. | NACH-LINKS
Bewegen des Cursors um ein Zeichen nach rechts. | NACH-RECHTS
Bewegen des Cursors um eine Zeile nach oben. | NACH-OBEN-TASTE
Bewegen des Cursors um eine Zeile nach unten. | NACH-UNTEN-TASTE
Bewegen des Cursors an den Anfang der aktuellen Zeile oder an den Anfang des Textes in dieser Zeile. | POS1
Bewegen des Cursors an das Ende der aktuellen Zeile. | ENDE
Bewegen des Cursors an den Anfang des Dokuments. | STRG+POS1
Bewegen des Cursors an das Ende des Dokuments. | STRG+ENDE
Bewegen in das nächste Teilfenster. | F6
Bewegen in das vorherige Teilfenster. | UMSCHALTEN+F6
Bewegen der Einfügemarke an den Anfang der Seite. | BILD-AUF
Bewegen der Einfügemarke an das Ende der Seite. | BILD-AB
Bildlauf um eine Zeile nach oben. | STRG+NACH-OBEN
Bildlauf um eine Zeile nach unten. | STRG+NACH-UNTEN


Tastenkombinationen in der Werkzeugsammlung

Die folgenden Tastenkombinationen dienen zum Bewegen in der Werkzeugsammlung.

Anmerkung Sie können Tastenkombinationen im Dialogfeld Optionen auf der Registerkarte Umgebungsoptionen unter Tastatur ändern und erstellen.

Aktion | Taste/Tastenkombination
Anzeigen der Dokumentation zur Werkzeugsammlung | F1
Schließen der Werkzeugsammlung. | UMSCHALTEN+ESC
Anzeigen des Kontextmenüs. | UMSCHALTEN+F10
Bewegen nach links durch die Steuerelemente auf der aktuellen Registerkarte, um jeweils einen Schritt. | NACH-LINKS
Bewegen nach rechts durch die Steuerelemente auf der aktuellen Registerkarte, um jeweils einen Schritt. | NACH-RECHTS
Bewegen zur nächsten Registerkarte. (Steht nur in der Werkzeugsammlung zur Verfügung.) | STRG+NACH-OBEN-TASTE
Bewegen zur vorherigen Registerkarte. (Steht nur in der Werkzeugsammlung zur Verfügung.) | STRG+NACH-UNTEN-TASTE
Bewegen nach oben durch die Steuerelemente, um jeweils eine Seite. | BILD-AUF
Bewegen nach unten durch die Steuerelemente, um jeweils eine Seite. | BILD-AB
Bewegen nach oben durch die Steuerelemente auf der aktuellen Registerkarte, um jeweils ein Steuerelement. | NACH-OBEN-TASTE
Bewegen nach unten durch die Steuerelemente auf der aktuellen Registerkarte, jeweils ein Steuerelement. | NACH-UNTEN-TASTE
Platzieren des markierten Steuerelements an der Position der Einfügemarke in einem Editor oder an die Standardposition auf einem Formular. | EINGABETASTE


Objektkatalog

In diesem Fenster werden die Klassen, Eigenschaften, Methoden, Ereignisse und Konstanten angezeigt, die für Pakete, Objektbibliotheken und die Prozeduren in dem Projekt vorhanden sind. Sie können diesen Katalog verwenden, um Objekte aufzufinden und zu verwenden, die Sie selbst erstellt haben, und die aus anderen Anwendungen stammen.

Sie können Hilfe zum Objektkatalog erhalten, indem Sie die Tastenkombination STRG+F1 drücken, oder indem Sie im Kontextmenü auf Hilfe klicken.

Elemente

Symbolleiste

Schaltfläche | Bezeichnung | Beschreibung
 | Klassen anzeigen | Zeigt die Klassen oder die Klassen und Elemente im gewählten Paket oder in der gewählten Bibliothek in den Teilbereichen Klassen & Elemente und Elemente an. Das Ändern der Ansicht hat keine Auswirkungen auf die aktuellen Filtereinstellungen und die Gruppierungs- oder Sortiereinstellungen.
 | Elemente anzeigen | Zeigt die Elemente der gewählten Klasse in den Teilbereichen Klassen & Elemente und Elemente an. Das Ändern der Ansicht hat keine Auswirkungen auf die aktuellen Filtereinstellungen und die Gruppierungs- und Sortiereinstellungen.
 | Klassen und Elemente filtern | Zeigt alle Einträge in den Teilbereichen Klassen & Elemente und Elemente basierend auf der Eingabe oder Auswahl an. Wenn Sie die EINGABETASTE drücken, werden alle Einträge angezeigt, die den Text enthalten.
 | Filter entfernen: Alle Klassen/Mitglieder anzeigen | Löscht den Text in der Liste Klassen und Elemente filtern und aktualisiert den Inhalt der Teilbereiche Klassen & Elemente und Elemente.
 | Filter findet nur Wortanfang | Zeigt nur die Einträge an, die den Text im Feld Klassen und Elemente filtern am Anfang des Namens enthalten.
 | Aktuelle Pakete/Bibliotheken auswählen | Zeigt das Dialogfeld Pakete/Bibliotheken auswählen an, in dem Sie die Pakete und Bibliotheken anzeigen können, deren Inhalte Sie sehen möchten.
 | Nach Paketen/Bibliotheken filtern | Zeigt eine Liste der aktuell gewählten Bibliotheken und Pakete an.
 | Gruppieren und Sortieren | Zeigt das Dialogfeld Gruppieren und Sortieren an, in dem Sie benutzerdefinierte Gruppierungen erstellen und den Inhalt des Elementebereichs sortieren können.
 | Kopieren | Ermöglicht das Kopieren des markierten Elements in die aktuelle Liste. Wenn keine Markierung im Beschreibungsbereich vorliegt, wird der gesamte Text kopiert.
 | Hilfe | Zeigt weitere Informationen zu dem ausgewählten Element an. Sie können auch F1 drücken.

Teilbereich Klassen & Elemente

Listet die Klassen oder Elemente oder beides auf, basierend auf den aktuellen Filtereinstellungen, sowie die Pakete/Bibliotheken, die . Die Klassen sind je nach Inhalten in drei Kategorien eingeteilt: Übergeordnete Klassen, Untergeordnete Klassen und Implementierte Schnittstellen. Sie können die einzelnen Kategorien erweitern, um die Klassen anzuzeigen, die sich in der Kategorie befinden.

Teilbereich Elemente

Listet die Elemente der gewählten Klasse oder Klassen des gewählten Elements im Teilbereich Klassen & Elemente und Elemente auf. Die Liste kann entweder alphabetisch sortiert werden, oder auf Grundlage der Sortierreihenfolge, die im Dialogfeld Gruppieren und sortieren festgelegt ist.

Beschreibung

Zeigt eine Definition des gewählten Elements an. Zusätzlich wird eine Prototyp-Syntax dargestellt, die von der jeweiligen Entwicklungssprache abhängig ist. Im Beschreibungsbereich wird auch eine Verknüpfung zu der Klasse oder Bibliothek oder dem Typ angezeigt, zu dem das Element gehört. Einige Elemente bieten Sprünge auf die übergeordnete Klasse.

Sie können Text aus dem Beschreibungsteilbereich in den Editor kopieren oder mit der Maus ziehen.


Werkzeugsammlung

In der Werkzeugsammlung werden Entwurfszeit-Steuerelemente, ActiveX®-Steuerelemente, HTML-Scraps, Objekte und Texte angezeigt. Dies erfolgt auf Grundlage des Designers oder Editors, den Sie verwenden. Die Werkzeuge sind nur dann aktiv, wenn der zugehörige Designer oder Editor aktiv ist.

Die Werkzeugsammlung enthält neben den jeweiligen Standardelementen der Entwicklungsumgebung stets das Zeiger-Werkzeug,

.

Mit Hilfe des Zeigers können Sie Steuerelemente in der Größe verändern und verschieben, die auf einem Formular angelegt wurden.

In der Werkzeugsammlung stehen folgende Möglichkeiten zur Verfügung:

  • Kopieren eines Elements der Werkzeugsammlung von einer Registerkarte auf eine andere, indem Sie STRG gedrückt halten und dann das Element auf die neue Registerkarte ziehen.

  • Verschieben eines Elements der Werkzeugsammlung von einer Registerkarte auf eine andere, indem Sie das Element auf die neue Registerkarte ziehen.

    Anmerkung Wenn Sie versuchen, ein nicht entfernbares Element zu verschieben, wird dies beim Ziehen auf eine andere Registerkarte dorthin kopiert und nicht verschoben.

  • Wählen und Verschieben von Elementen der Werkzeugsammlung, Text und Steuerelementen mit Hilfe der Maus, und zwar auf Seiten und Designer. Doppelklicken Sie auf ein Element, um dieses im Zentrum des aktiven Designers anzuzeigen.

Sie können beispielsweise ein Element aus dem Windows Explorer ziehen. Solche Elemente werden nur auf dem Computer angezeigt, auf dem sie hinzugefügt wurden.

  • Ändern des Symbols, das für ein Element verwendet wird.

  • Einfügen eines Elements, das in die Zwischenablage kopiert wurde.

  • Erstellen von Registerkarten für benutzerdefinierte Gruppierungen der Elemente der Werkzeugsammlung. Hierzu wählen Sie aus dem Kontextmenü, das angezeigt wird, wenn Sie mit der rechten Maustaste auf die Werkzeugsammlung klicken, die Option Registerkarte hinzufügen.

  • Löschen eines Elements.

  • Ziehen von gültigen IDataObjects in die und aus der Werkzeugsammlung, sofern ein zugeordneter Provider verfügbar ist.

  • Ziehen markierter Scraps aus Code oder Text aus dem Texteditor in die Werkzeugsammlung und anschließendes Ziehen in andere Dateien oder Fenster, in denen sie genutzt werden sollen.

  • Neuordnen von Elementen auf einer Registerkarte und Neuordnen der Registerkarten, indem Sie diese an die jeweils gewünschte Position ziehen.

  • Ändern des Beschreibungstextes von Elementen.

  • Anzeigen der Elemente der Werkzeugsammlung nach Symbolen und zugeordneten Beschreibungen und in einem Listenformat, indem Sie aus dem Kontextmenü, das angezeigt wird, wenn Sie mit der rechten Maustaste auf die Werkzeugsammlung klicken, die Option Listenansicht auswählen.

Elemente

Registerkarten

Zeigt die Registerkarten in der Werkzeugsammlung an. Standardmäßig gibt es zwei Registerkarten, Allgemein und HTML. Sie können weitere Registerkarten hinzufügen.

Werkzeuge

Zeigt die Werkzeugelemente an, die auf den einzelnen Registerkarten zur Verfügung stehen.

Listenansicht

Zeigt eine Liste der Elemente der Werkzeugsammlung sowie zugehörige Beschreibungen an.


Thema nicht gefunden

Es wurde kein entsprechendes Thema gefunden. Mögliche Ursachen und Problemlösungen hierfür sind z. B.:

  • Die Datei (.chm), die das Zielthema enthält, befindet sich nicht in dem erwarteten Verzeichnis.

    Problemlösung: Starten Sie erneut das Setup von MSDN Library.

  • Die Datei (.chm), die das aktuelle oder das Zielthema enthält, ist veraltet und die Verknüpfung ist nicht mehr gültig.

    Problemlösung: Installieren Sie die neueste Version von MSDN Library.

  • Die MSDN Library-CD befindet sich nicht im CD-ROM-Laufwerk.

    Problemlösung: Legen Sie die MSDN Library-CD in das CD-ROM-Laufwerk.


Durchsuchen mit - Dialogfeld

Zm Auswählen eines Browsers oder Programms zum Ansehen einer HTML-Seite.

Optionen

Durchsuchen

Öffnet den ausgewählten Browser.

Standard

Legt den ausgewählten Browser als Standard-Browser fest.

Größe des Browserfensters

Legt die Größe des Browserfensters fest.


Debugger Properties Dialog Box

Debugger-Eigenschaften - Dialogfeld

Setzt die Debugger-Optionen für jeden Sprachtyp.

Optionen

Script

An laufende Programme anfügen

Sie können den Debugger an ein Script-Programm anfügen, das gerade ausgeführt wird.

Just-In-Time-Debuggen

Sie können Fehler abfangen, die auftreten, während das Programm außerhalb der Debugger-Umgebung ausgeführt wird.

Java

An laufende Programme anfügen

Sie können den Debugger an ein Java-Programm anfügen, das gerade ausgeführt wird.

Just-In-Time-Debuggen

Sie können Fehler abfangen, die auftreten, während das Programm außerhalb der Debugger-Umgebung ausgeführt wird.


Gehe zu Zeile-Dialogfeld

Bewegt die Eingabemarke zu der angegebenen Zeilennummer im Text-Editor.

Optionen

Zeilennummer

Gibt die Zeilennummer zu der gesprungen werden soll an.


Tastenkombinationen in der Anweisungsabschlussliste

Die folgenden Tastenkombinationen sind in der Anweisungsabschlussliste gültig.

Aktion | Taste/Tastenkombination
Bewegen des Cursors um jeweils einen Listeneintrag nach oben und Auswählen dieses Elementes. | NACH-OBEN-TASTE
Bewegen des Cursors um jeweils einen Listeneintrag nach unten und Auswählen dieses Elementes. | NACH-UNTEN-TASTE
Bewegen des Cursors um eine Seite nach oben in der Anweisungsabschlussliste. | BILD-AUF
Bewegen des Cursors um eine Seite nach unten in der Anweisungsabschlussliste. | BILD-AB
Bewegen an den Anfang der Anweisungsabschlussliste. | STRG+BILD-AUF
Bewegen an das Ende der Anweisungsabschlussliste. | STRG+BILD-AB
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors im Texteditor-Fenster um jeweils eine Zeile nach oben. | UMSCHALTEN+NACH-OBEN-TASTE
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors im Texteditor-Fenster um jeweils eine Zeile nach unten. | UMSCHALTEN+NACH-UNTEN-TASTE
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors im Texteditor-Fenster um jeweils eine Seite nach oben. | UMSCHALTEN+BILD-AUF
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors im Texteditor-Fenster um jeweils eine Seite nach unten. | UMSCHALTEN+BILD-AB
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors an den Anfang des Textes im Texteditor-Fenster. | UMSCHALTEN+STRG+BILD-AUF
Ausblenden der Anweisungsabschlussliste, Bewegen des Fokus in den Text-Editor und Bewegen des Cursors an das Ende des Textes im Texteditor-Fenster. | UMSCHALTEN+STRG+BILD-AB


Fenster-Dialogfeld

In diesem Dialog können Sie ein Fenster des Text-Editors auswählen.

Optionen

Name

Zeigt die Dateinamen aller geöffneten Dokumente an.

Pfad

Zeigt den Pfad aller geöffneten Dokumente an.